﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.ConfirmInventSheetSV
{
    public partial class ConfirmInventSheetSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    
    {
        public override void AfterDo(object bp, ref object result)
        {
            //盘点
            #region 获取相关强类型数据                               

            UFIDA.U9.ISV.InventSheetSV.ConfirmInventSheetSV strongBP = bp as UFIDA.U9.ISV.InventSheetSV.ConfirmInventSheetSV;
            if (strongBP == null)
                return;
            foreach (var inventSheetLineDTOData in strongBP.LineDTOs)
            {
               UpdateBarCode.Update(inventSheetLineDTOData.DocLineID,"", "UFIDA.U9.InvDoc.InventorySheet.InventSheetLine", inventSheetLineDTOData.BinID, inventSheetLineDTOData.BinCode, inventSheetLineDTOData.BinName, inventSheetLineDTOData.WhID, inventSheetLineDTOData.WhCode, inventSheetLineDTOData.WhName);
            }
            #endregion

        }

        public override void BeforeDo(object bp)
        {

        }
    }
}
