﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.POToRcvBCSV
{
    public partial class POToRcvBCSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            #region 获取相关强类型数据                               
            //采购收货

            Hashtable hashtable = new Hashtable();
            UFIDA.U9.Cust.KS.TH.RestSV.POToRcvBCSV strongBP = bp as UFIDA.U9.Cust.KS.TH.RestSV.POToRcvBCSV;
            if (strongBP == null)
                return;
            foreach (KS.TH.RestSV.POToRcvBCDTOData pOToRcvBCDTOData in strongBP.ParamInList)
            {
                foreach (KS.TH.RestSV.POToRcvBCDetailDTOData pOToRcvBCDetailDTOData in pOToRcvBCDTOData.Details)
                {
                    long binid = 0;
                    string bincode = "";
                    string binname = "";
                    long whid = 0;
                    string whcode = "";
                    string whname = "";
                    
                    UFIDA.U9.CBO.SCM.Warehouse.Warehouse warehouse = UFIDA.U9.CBO.SCM.Warehouse.Warehouse.Finder.FindByID(pOToRcvBCDTOData.WH);
                    if (warehouse != null)
                    {
                        whid = pOToRcvBCDTOData.WH;
                        whcode = pOToRcvBCDTOData.WHCode;
                        whname = warehouse.Name;
                    }
                    UFIDA.U9.CBO.SCM.Bin.Bin bin = UFIDA.U9.CBO.SCM.Bin.Bin.Finder.FindByID(pOToRcvBCDetailDTOData.Bin);
                    if (bin != null)
                    {
                        binid = bin.ID;
                        bincode = bin.Code;
                        binname = bin.Name;
                    }
                    BinWhMsg binWhMsg = new BinWhMsg();
                    binWhMsg.binid = binid;
                    binWhMsg.bincode = bincode;
                    binWhMsg.binname = binname;
                    binWhMsg.whid = whid;
                    binWhMsg.whcode = whcode;
                    binWhMsg.whname = whname;
                    hashtable.Add(pOToRcvBCDetailDTOData.BarCode, binWhMsg);
                }

            }

            List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> list = result as List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData>;
            if (list == null)
            {
                return;
            }
            foreach (var createdDocDTOData in list)
            {

                foreach (var createdLineDTOData in createdDocDTOData.Lines)
                {
                    foreach (var barCodelineUseDTOData in createdLineDTOData.BarCodeList)
                    {
                        foreach (var hsKey in hashtable.Keys)
                        {
                            if (hsKey.Equals(barCodelineUseDTOData.BarCode))
                            {
                                BinWhMsg binWhMsg = hashtable[hsKey] as BinWhMsg;
                                UpdateBarCode.Update(createdLineDTOData.DocLineID, "UFIDA.U9.PM.Rcv.RcvLine", barCodelineUseDTOData.BarCode, binWhMsg.binid, binWhMsg.bincode, binWhMsg.binname, binWhMsg.whid, binWhMsg.whcode, binWhMsg.whname);
                            }
                        }
                    }
                }
            }

            #endregion

        }

        public override void BeforeDo(object bp)
        {
            #region 获取相关强类型数据                               

            #endregion

        }

        class BinWhMsg
        {
            public long binid { get; set; }
            public string bincode { get; set; }
            public string binname { get; set; }
            public long whid { get; set; }
            public string whcode { get; set; }
            public string whname { get; set; }
        }
    }
}
