﻿

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug
{
    using System;
    using System.Collections.Generic;
    using System.Text;

    public partial class ShipPickConfirmUpdateBarCodeFirstSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            //拣货确认出库
            #region 获取相关强类型数据                               

            UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmUpdateBarCodeFirstSV strongBP = bp as UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmUpdateBarCodeFirstSV;
            if (strongBP == null)
                return;
            foreach (UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmBCExtDTOData shipPickConfirmBCExtDTOData in strongBP.DocInfo)
            {
                foreach (ISV.Mobile.SM.ShipPickConfirmBCLineDTOData shipPickConfirmBCLineDTOData in shipPickConfirmBCExtDTOData.DocLines)
                {
                    foreach (var shipPickConfirmBCBinDTOData in shipPickConfirmBCLineDTOData.BinLines)
                    {
                        foreach (var barcode in shipPickConfirmBCBinDTOData.ItemBarCodes)
                        {
                            ClearBinWh.Clear(shipPickConfirmBCLineDTOData.DocLineKey, "UFIDA.U9.SM.Ship.ShipLine", barcode.ItemBarCode);
                        }
                    }
                }
            }
            #endregion
        }

        public override void BeforeDo(object bp)
        {

        }
    }
}
