﻿








namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy
{
	using System;
	using System.Collections.Generic;
	using System.Text;
	using System.IO;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF.Service;
	using UFSoft.UBF.Service.Base ;

    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface ICreateDocByQuickTransInWithPackage
    {
		[OperationContract()]
		List<UFIDA.U9.BC.QuickTransIn.RtnDTOData> Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.BC.QuickTransIn.CreateDocParamDTOData> paramInList);
    }

    [Serializable]    
    public class CreateDocByQuickTransInWithPackageProxy : ServiceProxyBase//, UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.ICreateDocByQuickTransInWithPackage
    {
	#region Fields	
				private List<UFIDA.U9.BC.QuickTransIn.CreateDocParamDTOData> paramInList ;
			
	#endregion	
		
	#region Properties
	
				

		/// <summary>
		/// 属性 (该属性可为空,且无默认值)
		/// 分包货位整理.Misc.属性
		/// </summary>
		/// <value></value>
		public List<UFIDA.U9.BC.QuickTransIn.CreateDocParamDTOData> ParamInList
		{
			get	
			{	
				return this.paramInList;
			}

			set	
			{	
				this.paramInList = value;	
			}
		}		
			
	#endregion	


	#region Constructors
        public CreateDocByQuickTransInWithPackageProxy()
        {
        }
        #endregion
        
        #region 跨site调用
        public List<UFIDA.U9.BC.QuickTransIn.RtnDTOData> Do(string targetSite)
        {
  			InitKeyList() ;
			List<UFIDA.U9.BC.QuickTransIn.RtnDTOData> result = (List<UFIDA.U9.BC.QuickTransIn.RtnDTOData>)InvokeBySite<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.ICreateDocByQuickTransInWithPackage>(targetSite);
			return GetRealResult(result);
        }
        #endregion end跨site调用

		#region 跨组织调用
        public List<UFIDA.U9.BC.QuickTransIn.RtnDTOData> Do(long targetOrgId)
        {
  			InitKeyList() ;
			List<UFIDA.U9.BC.QuickTransIn.RtnDTOData> result = (List<UFIDA.U9.BC.QuickTransIn.RtnDTOData>)InvokeByOrg<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.ICreateDocByQuickTransInWithPackage>(targetOrgId);
			return GetRealResult(result);
        }
		#endregion end跨组织调用

		#region Public Method
		
        public List<UFIDA.U9.BC.QuickTransIn.RtnDTOData> Do()
        {
  			InitKeyList() ;
 			List<UFIDA.U9.BC.QuickTransIn.RtnDTOData> result = (List<UFIDA.U9.BC.QuickTransIn.RtnDTOData>)InvokeAgent<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.ICreateDocByQuickTransInWithPackage>();
			return GetRealResult(result);
        }
        
		protected override object InvokeImplement<T>(T oChannel)
        {
			IContext context = ContextManager.Context;			

            ICreateDocByQuickTransInWithPackage channel = oChannel as ICreateDocByQuickTransInWithPackage;
            if (channel != null)
            {
			UFSoft.UBF.Service.ISVContext isvContext =  GetISVContext(context);
			return channel.Do(isvContext , paramInList);

	    }
            return  null;
        }
		#endregion
		
		//处理由于序列化导致的返回值接口变化，而进行返回值的实际类型转换处理．
		private List<UFIDA.U9.BC.QuickTransIn.RtnDTOData> GetRealResult(List<UFIDA.U9.BC.QuickTransIn.RtnDTOData> result)
		{
								return result ;
			}
		#region  Init KeyList 
		//初始化SKey集合--由于接口不一样.BP.SV都要处理
		private void InitKeyList()
		{
			System.Collections.Hashtable dict = new System.Collections.Hashtable() ;
						{
				if (ParamInList!=null)
				{
					foreach(UFIDA.U9.BC.QuickTransIn.CreateDocParamDTOData objdata in ParamInList)
					{
						objdata.DoSerializeKeyList(dict);
					}
				}
			}
		
		}
		#endregion 

    }
}

