﻿








namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy
{
	using System;
	using System.Collections.Generic;
	using System.Text;
	using System.IO;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF.Service;
	using UFSoft.UBF.Service.Base ;

    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface ICreateMiscRcvTransWithPackage
    {
		[OperationContract()]
		UFIDA.U9.ISV.Mobile.MO.ResultDTOData Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData> lineDTOs);
    }

    [Serializable]    
    public class CreateMiscRcvTransWithPackageProxy : ServiceProxyBase//, UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.ICreateMiscRcvTransWithPackage
    {
	#region Fields	
				private List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData> lineDTOs ;
			
	#endregion	
		
	#region Properties
	
				

		/// <summary>
		/// 杂收单行信息 (该属性可为空,且无默认值)
		/// 分包快速杂收生单.Misc.杂收单行信息
		/// </summary>
		/// <value></value>
		public List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData> LineDTOs
		{
			get	
			{	
				return this.lineDTOs;
			}

			set	
			{	
				this.lineDTOs = value;	
			}
		}		
			
	#endregion	


	#region Constructors
        public CreateMiscRcvTransWithPackageProxy()
        {
        }
        #endregion
        
        #region 跨site调用
        public UFIDA.U9.ISV.Mobile.MO.ResultDTOData Do(string targetSite)
        {
  			InitKeyList() ;
			UFIDA.U9.ISV.Mobile.MO.ResultDTOData result = (UFIDA.U9.ISV.Mobile.MO.ResultDTOData)InvokeBySite<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.ICreateMiscRcvTransWithPackage>(targetSite);
			return GetRealResult(result);
        }
        #endregion end跨site调用

		#region 跨组织调用
        public UFIDA.U9.ISV.Mobile.MO.ResultDTOData Do(long targetOrgId)
        {
  			InitKeyList() ;
			UFIDA.U9.ISV.Mobile.MO.ResultDTOData result = (UFIDA.U9.ISV.Mobile.MO.ResultDTOData)InvokeByOrg<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.ICreateMiscRcvTransWithPackage>(targetOrgId);
			return GetRealResult(result);
        }
		#endregion end跨组织调用

		#region Public Method
		
        public UFIDA.U9.ISV.Mobile.MO.ResultDTOData Do()
        {
  			InitKeyList() ;
 			UFIDA.U9.ISV.Mobile.MO.ResultDTOData result = (UFIDA.U9.ISV.Mobile.MO.ResultDTOData)InvokeAgent<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.ICreateMiscRcvTransWithPackage>();
			return GetRealResult(result);
        }
        
		protected override object InvokeImplement<T>(T oChannel)
        {
			IContext context = ContextManager.Context;			

            ICreateMiscRcvTransWithPackage channel = oChannel as ICreateMiscRcvTransWithPackage;
            if (channel != null)
            {
			UFSoft.UBF.Service.ISVContext isvContext =  GetISVContext(context);
			return channel.Do(isvContext , lineDTOs);

	    }
            return  null;
        }
		#endregion
		
		//处理由于序列化导致的返回值接口变化，而进行返回值的实际类型转换处理．
		private UFIDA.U9.ISV.Mobile.MO.ResultDTOData GetRealResult(UFIDA.U9.ISV.Mobile.MO.ResultDTOData result)
		{

				return result ;
		}
		#region  Init KeyList 
		//初始化SKey集合--由于接口不一样.BP.SV都要处理
		private void InitKeyList()
		{
			System.Collections.Hashtable dict = new System.Collections.Hashtable() ;
						{
				if (LineDTOs!=null)
				{
					foreach(UFIDA.U9.ISV.INV.MiscShipmentLineDTOData objdata in LineDTOs)
					{
						objdata.DoSerializeKeyList(dict);
					}
				}
			}
		
		}
		#endregion 

    }
}

