﻿








namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy
{
	using System;
	using System.Collections.Generic;
	using System.Text;
	using System.IO;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF.Service;
	using UFSoft.UBF.Service.Base ;

    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IFileUploadService
    {
		[OperationContract()]
		System.Int32 Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData> fileInfos);
    }

    [Serializable]    
    public class FileUploadServiceProxy : ServiceProxyBase//, UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IFileUploadService
    {
	#region Fields	
				private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData> fileInfos ;
			
	#endregion	
		
	#region Properties
	
				

		/// <summary>
		/// 文件数据 (该属性可为空,且无默认值)
		/// 文件上传服务.Misc.文件数据
		/// </summary>
		/// <value></value>
		public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData> FileInfos
		{
			get	
			{	
				return this.fileInfos;
			}

			set	
			{	
				this.fileInfos = value;	
			}
		}		
			
	#endregion	


	#region Constructors
        public FileUploadServiceProxy()
        {
        }
        #endregion
        
        #region 跨site调用
        public System.Int32 Do(string targetSite)
        {
  			InitKeyList() ;
			System.Int32 result = (System.Int32)InvokeBySite<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IFileUploadService>(targetSite);
			return GetRealResult(result);
        }
        #endregion end跨site调用

		#region 跨组织调用
        public System.Int32 Do(long targetOrgId)
        {
  			InitKeyList() ;
			System.Int32 result = (System.Int32)InvokeByOrg<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IFileUploadService>(targetOrgId);
			return GetRealResult(result);
        }
		#endregion end跨组织调用

		#region Public Method
		
        public System.Int32 Do()
        {
  			InitKeyList() ;
 			System.Int32 result = (System.Int32)InvokeAgent<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IFileUploadService>();
			return GetRealResult(result);
        }
        
		protected override object InvokeImplement<T>(T oChannel)
        {
			IContext context = ContextManager.Context;			

            IFileUploadService channel = oChannel as IFileUploadService;
            if (channel != null)
            {
			UFSoft.UBF.Service.ISVContext isvContext =  GetISVContext(context);
			return channel.Do(isvContext , fileInfos);

	    }
            return  (System.Int32)0;
        }
		#endregion
		
		//处理由于序列化导致的返回值接口变化，而进行返回值的实际类型转换处理．
		private System.Int32 GetRealResult(System.Int32 result)
		{

				return result ;
		}
		#region  Init KeyList 
		//初始化SKey集合--由于接口不一样.BP.SV都要处理
		private void InitKeyList()
		{
			System.Collections.Hashtable dict = new System.Collections.Hashtable() ;
						{
				if (FileInfos!=null)
				{
					foreach(UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData objdata in FileInfos)
					{
						objdata.DoSerializeKeyList(dict);
					}
				}
			}
		
		}
		#endregion 

    }
}

