﻿








namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy
{
	using System;
	using System.Collections.Generic;
	using System.Text;
	using System.IO;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF.Service;
	using UFSoft.UBF.Service.Base ;

    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IGetBarCodeUsedWhBinInfoSV
    {
		[OperationContract()]
		List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> Do(UFSoft.UBF.Service.ISVContext context ,List<System.Int64> barCodeUsedIDs);
    }

    [Serializable]    
    public class GetBarCodeUsedWhBinInfoSVProxy : ServiceProxyBase//, UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IGetBarCodeUsedWhBinInfoSV
    {
	#region Fields	
				private List<System.Int64> barCodeUsedIDs ;
			
	#endregion	
		
	#region Properties
	
				

		/// <summary>
		/// 条码使用档ID (该属性可为空,且无默认值)
		/// 获取条码使用档存储地点和库位服务.Misc.条码使用档ID
		/// </summary>
		/// <value></value>
		public List<System.Int64> BarCodeUsedIDs
		{
			get	
			{	
				return this.barCodeUsedIDs;
			}

			set	
			{	
				this.barCodeUsedIDs = value;	
			}
		}		
			
	#endregion	


	#region Constructors
        public GetBarCodeUsedWhBinInfoSVProxy()
        {
        }
        #endregion
        
        #region 跨site调用
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> Do(string targetSite)
        {
  			InitKeyList() ;
			List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> result = (List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData>)InvokeBySite<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IGetBarCodeUsedWhBinInfoSV>(targetSite);
			return GetRealResult(result);
        }
        #endregion end跨site调用

		#region 跨组织调用
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> Do(long targetOrgId)
        {
  			InitKeyList() ;
			List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> result = (List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData>)InvokeByOrg<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IGetBarCodeUsedWhBinInfoSV>(targetOrgId);
			return GetRealResult(result);
        }
		#endregion end跨组织调用

		#region Public Method
		
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> Do()
        {
  			InitKeyList() ;
 			List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> result = (List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData>)InvokeAgent<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IGetBarCodeUsedWhBinInfoSV>();
			return GetRealResult(result);
        }
        
		protected override object InvokeImplement<T>(T oChannel)
        {
			IContext context = ContextManager.Context;			

            IGetBarCodeUsedWhBinInfoSV channel = oChannel as IGetBarCodeUsedWhBinInfoSV;
            if (channel != null)
            {
			UFSoft.UBF.Service.ISVContext isvContext =  GetISVContext(context);
			return channel.Do(isvContext , barCodeUsedIDs);

	    }
            return  null;
        }
		#endregion
		
		//处理由于序列化导致的返回值接口变化，而进行返回值的实际类型转换处理．
		private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> GetRealResult(List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> result)
		{
								return result ;
			}
		#region  Init KeyList 
		//初始化SKey集合--由于接口不一样.BP.SV都要处理
		private void InitKeyList()
		{
			System.Collections.Hashtable dict = new System.Collections.Hashtable() ;
					
		}
		#endregion 

    }
}

