﻿








namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy
{
	using System;
	using System.Collections.Generic;
	using System.Text;
	using System.IO;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF.Service;
	using UFSoft.UBF.Service.Base ;

    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IGetItemBarCodeDetails
    {
		[OperationContract()]
		List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData> barCodeInfo);
    }

    [Serializable]    
    public class GetItemBarCodeDetailsProxy : ServiceProxyBase//, UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IGetItemBarCodeDetails
    {
	#region Fields	
				private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData> barCodeInfo ;
			
	#endregion	
		
	#region Properties
	
				

		/// <summary>
		/// 条码 (该属性可为空,且无默认值)
		/// 获取料码详情.Misc.条码
		/// </summary>
		/// <value></value>
		public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData> BarCodeInfo
		{
			get	
			{	
				return this.barCodeInfo;
			}

			set	
			{	
				this.barCodeInfo = value;	
			}
		}		
			
	#endregion	


	#region Constructors
        public GetItemBarCodeDetailsProxy()
        {
        }
        #endregion
        
        #region 跨site调用
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> Do(string targetSite)
        {
  			InitKeyList() ;
			List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> result = (List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData>)InvokeBySite<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IGetItemBarCodeDetails>(targetSite);
			return GetRealResult(result);
        }
        #endregion end跨site调用

		#region 跨组织调用
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> Do(long targetOrgId)
        {
  			InitKeyList() ;
			List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> result = (List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData>)InvokeByOrg<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IGetItemBarCodeDetails>(targetOrgId);
			return GetRealResult(result);
        }
		#endregion end跨组织调用

		#region Public Method
		
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> Do()
        {
  			InitKeyList() ;
 			List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> result = (List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData>)InvokeAgent<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IGetItemBarCodeDetails>();
			return GetRealResult(result);
        }
        
		protected override object InvokeImplement<T>(T oChannel)
        {
			IContext context = ContextManager.Context;			

            IGetItemBarCodeDetails channel = oChannel as IGetItemBarCodeDetails;
            if (channel != null)
            {
			UFSoft.UBF.Service.ISVContext isvContext =  GetISVContext(context);
			return channel.Do(isvContext , barCodeInfo);

	    }
            return  null;
        }
		#endregion
		
		//处理由于序列化导致的返回值接口变化，而进行返回值的实际类型转换处理．
		private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> GetRealResult(List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> result)
		{
								return result ;
			}
		#region  Init KeyList 
		//初始化SKey集合--由于接口不一样.BP.SV都要处理
		private void InitKeyList()
		{
			System.Collections.Hashtable dict = new System.Collections.Hashtable() ;
						{
				if (BarCodeInfo!=null)
				{
					foreach(UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData objdata in BarCodeInfo)
					{
						objdata.DoSerializeKeyList(dict);
					}
				}
			}
		
		}
		#endregion 

    }
}

