﻿








namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy
{
	using System;
	using System.Collections.Generic;
	using System.Text;
	using System.IO;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF.Service;
	using UFSoft.UBF.Service.Base ;

    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IPOToRcvBCSVWithPackage
    {
		[OperationContract()]
		List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData> srcDocBarCodes);
    }

    [Serializable]    
    public class POToRcvBCSVWithPackageProxy : ServiceProxyBase//, UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IPOToRcvBCSVWithPackage
    {
	#region Fields	
				private List<UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData> srcDocBarCodes ;
			
	#endregion	
		
	#region Properties
	
				

		/// <summary>
		/// 采购订单信息 (该属性可为空,且无默认值)
		/// 分包按订单收货.Misc.采购订单信息
		/// </summary>
		/// <value></value>
		public List<UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData> SrcDocBarCodes
		{
			get	
			{	
				return this.srcDocBarCodes;
			}

			set	
			{	
				this.srcDocBarCodes = value;	
			}
		}		
			
	#endregion	


	#region Constructors
        public POToRcvBCSVWithPackageProxy()
        {
        }
        #endregion
        
        #region 跨site调用
        public List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> Do(string targetSite)
        {
  			InitKeyList() ;
			List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> result = (List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData>)InvokeBySite<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IPOToRcvBCSVWithPackage>(targetSite);
			return GetRealResult(result);
        }
        #endregion end跨site调用

		#region 跨组织调用
        public List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> Do(long targetOrgId)
        {
  			InitKeyList() ;
			List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> result = (List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData>)InvokeByOrg<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IPOToRcvBCSVWithPackage>(targetOrgId);
			return GetRealResult(result);
        }
		#endregion end跨组织调用

		#region Public Method
		
        public List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> Do()
        {
  			InitKeyList() ;
 			List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> result = (List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData>)InvokeAgent<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IPOToRcvBCSVWithPackage>();
			return GetRealResult(result);
        }
        
		protected override object InvokeImplement<T>(T oChannel)
        {
			IContext context = ContextManager.Context;			

            IPOToRcvBCSVWithPackage channel = oChannel as IPOToRcvBCSVWithPackage;
            if (channel != null)
            {
			UFSoft.UBF.Service.ISVContext isvContext =  GetISVContext(context);
			return channel.Do(isvContext , srcDocBarCodes);

	    }
            return  null;
        }
		#endregion
		
		//处理由于序列化导致的返回值接口变化，而进行返回值的实际类型转换处理．
		private List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> GetRealResult(List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> result)
		{
								return result ;
			}
		#region  Init KeyList 
		//初始化SKey集合--由于接口不一样.BP.SV都要处理
		private void InitKeyList()
		{
			System.Collections.Hashtable dict = new System.Collections.Hashtable() ;
						{
				if (SrcDocBarCodes!=null)
				{
					foreach(UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData objdata in SrcDocBarCodes)
					{
						objdata.DoSerializeKeyList(dict);
					}
				}
			}
		
		}
		#endregion 

    }
}

