﻿








namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy
{
	using System;
	using System.Collections.Generic;
	using System.Text;
	using System.IO;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF.Service;
	using UFSoft.UBF.Service.Base ;

    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IShipPickConfirmUpdateBarCodeFirstSV
    {
		[OperationContract()]
		void Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData> docInfo);
    }

    [Serializable]    
    public class ShipPickConfirmUpdateBarCodeFirstSVProxy : ServiceProxyBase//, UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IShipPickConfirmUpdateBarCodeFirstSV
    {
	#region Fields	
				private List<UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData> docInfo ;
			
	#endregion	
		
	#region Properties
	
				

		/// <summary>
		/// 出货单拣货确认DTO (该属性可为空,且无默认值)
		/// 拣货确认出货.Misc.出货单拣货确认DTO
		/// </summary>
		/// <value></value>
		public List<UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData> DocInfo
		{
			get	
			{	
				return this.docInfo;
			}

			set	
			{	
				this.docInfo = value;	
			}
		}		
			
	#endregion	


	#region Constructors
        public ShipPickConfirmUpdateBarCodeFirstSVProxy()
        {
        }
        #endregion
        
        #region 跨site调用
        public void Do(string targetSite)
        {
  			InitKeyList() ;
			InvokeBySite<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IShipPickConfirmUpdateBarCodeFirstSV>(targetSite);
			
        }
        #endregion end跨site调用

		#region 跨组织调用
        public void Do(long targetOrgId)
        {
  			InitKeyList() ;
			InvokeByOrg<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IShipPickConfirmUpdateBarCodeFirstSV>(targetOrgId);
			
        }
		#endregion end跨组织调用

		#region Public Method
		
        public void Do()
        {
  			InitKeyList() ;
 			InvokeAgent<UFIDA.U9.Cust.Kusi.CJJ.RestApi.Proxy.IShipPickConfirmUpdateBarCodeFirstSV>();
			
        }
        
		protected override object InvokeImplement<T>(T oChannel)
        {
			IContext context = ContextManager.Context;			

            IShipPickConfirmUpdateBarCodeFirstSV channel = oChannel as IShipPickConfirmUpdateBarCodeFirstSV;
            if (channel != null)
            {
			UFSoft.UBF.Service.ISVContext isvContext =  GetISVContext(context);
			channel.Do(isvContext , docInfo);

	    }
            return  null;
        }
		#endregion
		
		#region  Init KeyList 
		//初始化SKey集合--由于接口不一样.BP.SV都要处理
		private void InitKeyList()
		{
			System.Collections.Hashtable dict = new System.Collections.Hashtable() ;
						{
				if (DocInfo!=null)
				{
					foreach(UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData objdata in DocInfo)
					{
						objdata.DoSerializeKeyList(dict);
					}
				}
			}
		
		}
		#endregion 

    }
}

