﻿namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections.Generic;
	using System.Text; 
	using UFSoft.UBF.AopFrame;	
	using UFSoft.UBF.Util.Context;

	/// <summary>
	/// DeleteAttachmentSV partial 
	/// </summary>	
	public partial class DeleteAttachmentSV 
	{	
		internal BaseStrategy Select()
		{
			return new DeleteAttachmentSVImpementStrategy();	
		}		
	}
	
	#region  implement strategy	
	/// <summary>
	/// Impement Implement
	/// 
	/// </summary>	
	internal partial class DeleteAttachmentSVImpementStrategy : BaseStrategy
	{
		public DeleteAttachmentSVImpementStrategy() { }

		public override object Do(object obj)
		{						
			DeleteAttachmentSV bpObj = (DeleteAttachmentSV)obj;
			
			foreach (var deleteInfo in bpObj.DeleteInfos)
			{
                var tmp = new ISV.MobileApprovalSV.DeleteAttachmentFileService()
                {
                    Data = deleteInfo.Data
                }.Do();

				if (!tmp.RecordList.Contains("成功"))
				{
					throw new Exception(tmp.RecordList);
				}
            }

			return 0;
		}		
	}

	#endregion
	
	
}