﻿







namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections;
	using System.Collections.Generic;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using System.IO;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Service.Base ;

    /// <summary>
    ///  IDeleteAttachmentSV Interface
    /// </summary>
    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IDeleteAttachmentSV
    {
	[OperationContract()]
        System.Int32 Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteInfoDTOData> deleteInfos);
    }

    /// <summary>
    ///  DeleteAttachmentSVStub Class
    /// </summary>
    [UFSoft.UBF.Service.ServiceImplement]
    [ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public class DeleteAttachmentSVStub : ISVStubBase, IDeleteAttachmentSV
    {
        #region IDeleteAttachmentSV Members

        //[OperationBehavior]
        public System.Int32 Do(UFSoft.UBF.Service.ISVContext context , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteInfoDTOData> deleteInfos)
        {
			
			ICommonDataContract commonData = CommonDataContractFactory.GetCommonData(context);
			return DoEx(commonData, deleteInfos);
        }
        
        //[OperationBehavior]
        public System.Int32 DoEx(ICommonDataContract commonData, List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteInfoDTOData> deleteInfos)
        {
			this.CommonData = commonData ;
            try
            {
                BeforeInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteAttachmentSV");                
                DeleteAttachmentSV objectRef = new DeleteAttachmentSV();
				objectRef.DeleteInfos = deleteInfos;

				//处理返回类型.
				System.Int32 result = objectRef.Do();
				return result ;

	        }
			catch (System.Exception e)
            {
				DealException(e);
				throw;
            }
            finally
            {
				FinallyInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteAttachmentSV");
            }
        }
	#endregion
    }
}
