﻿







namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections;
	using System.Collections.Generic;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using System.IO;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Service.Base ;

    /// <summary>
    ///  IFileUploadService Interface
    /// </summary>
    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IFileUploadService
    {
	[OperationContract()]
        System.Int32 Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData> fileInfos);
    }

    /// <summary>
    ///  FileUploadServiceStub Class
    /// </summary>
    [UFSoft.UBF.Service.ServiceImplement]
    [ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public class FileUploadServiceStub : ISVStubBase, IFileUploadService
    {
        #region IFileUploadService Members

        //[OperationBehavior]
        public System.Int32 Do(UFSoft.UBF.Service.ISVContext context , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData> fileInfos)
        {
			
			ICommonDataContract commonData = CommonDataContractFactory.GetCommonData(context);
			return DoEx(commonData, fileInfos);
        }
        
        //[OperationBehavior]
        public System.Int32 DoEx(ICommonDataContract commonData, List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData> fileInfos)
        {
			this.CommonData = commonData ;
            try
            {
                BeforeInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileUploadService");                
                FileUploadService objectRef = new FileUploadService();
				objectRef.FileInfos = fileInfos;

				//处理返回类型.
				System.Int32 result = objectRef.Do();
				return result ;

	        }
			catch (System.Exception e)
            {
				DealException(e);
				throw;
            }
            finally
            {
				FinallyInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileUploadService");
            }
        }
	#endregion
    }
}
