﻿







namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections;
	using System.Collections.Generic;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using System.IO;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Service.Base ;

    /// <summary>
    ///  IGetItemBarCodeDetails Interface
    /// </summary>
    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IGetItemBarCodeDetails
    {
	[OperationContract()]
        List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData> barCodeInfo);
    }

    /// <summary>
    ///  GetItemBarCodeDetailsStub Class
    /// </summary>
    [UFSoft.UBF.Service.ServiceImplement]
    [ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public class GetItemBarCodeDetailsStub : ISVStubBase, IGetItemBarCodeDetails
    {
        #region IGetItemBarCodeDetails Members

        //[OperationBehavior]
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> Do(UFSoft.UBF.Service.ISVContext context , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData> barCodeInfo)
        {
			
			ICommonDataContract commonData = CommonDataContractFactory.GetCommonData(context);
			return DoEx(commonData, barCodeInfo);
        }
        
        //[OperationBehavior]
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> DoEx(ICommonDataContract commonData, List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData> barCodeInfo)
        {
			this.CommonData = commonData ;
            try
            {
                BeforeInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetItemBarCodeDetails");                
                GetItemBarCodeDetails objectRef = new GetItemBarCodeDetails();
				objectRef.BarCodeInfo = barCodeInfo;

				//处理返回类型.
				List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDetailInfoData> result = objectRef.Do();
				return result ;

	        }
			catch (System.Exception e)
            {
				DealException(e);
				throw;
            }
            finally
            {
				FinallyInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetItemBarCodeDetails");
            }
        }
	#endregion
    }
}
