﻿







namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections;
	using System.Collections.Generic;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using System.IO;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Service.Base ;

    /// <summary>
    ///  IPOToRcvBCSVWithPackage Interface
    /// </summary>
    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IPOToRcvBCSVWithPackage
    {
	[OperationContract()]
        List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData> srcDocBarCodes);
    }

    /// <summary>
    ///  POToRcvBCSVWithPackageStub Class
    /// </summary>
    [UFSoft.UBF.Service.ServiceImplement]
    [ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public class POToRcvBCSVWithPackageStub : ISVStubBase, IPOToRcvBCSVWithPackage
    {
        #region IPOToRcvBCSVWithPackage Members

        //[OperationBehavior]
        public List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> Do(UFSoft.UBF.Service.ISVContext context , List<UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData> srcDocBarCodes)
        {
			
			ICommonDataContract commonData = CommonDataContractFactory.GetCommonData(context);
			return DoEx(commonData, srcDocBarCodes);
        }
        
        //[OperationBehavior]
        public List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> DoEx(ICommonDataContract commonData, List<UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData> srcDocBarCodes)
        {
			this.CommonData = commonData ;
            try
            {
                BeforeInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.POToRcvBCSVWithPackage");                
                POToRcvBCSVWithPackage objectRef = new POToRcvBCSVWithPackage();
				objectRef.SrcDocBarCodes = srcDocBarCodes;

				//处理返回类型.
				List<UFIDA.U9.ISV.Mobile.Common.CreatedDocDTOData> result = objectRef.Do();
				return result ;

	        }
			catch (System.Exception e)
            {
				DealException(e);
				throw;
            }
            finally
            {
				FinallyInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.POToRcvBCSVWithPackage");
            }
        }
	#endregion
    }
}
