﻿







namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections;
	using System.Collections.Generic;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using System.IO;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Service.Base ;

    /// <summary>
    ///  IShipPickConfirmUpdateBarCodeFirstSV Interface
    /// </summary>
    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IShipPickConfirmUpdateBarCodeFirstSV
    {
	[OperationContract()]
        void Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData> docInfo);
    }

    /// <summary>
    ///  ShipPickConfirmUpdateBarCodeFirstSVStub Class
    /// </summary>
    [UFSoft.UBF.Service.ServiceImplement]
    [ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public class ShipPickConfirmUpdateBarCodeFirstSVStub : ISVStubBase, IShipPickConfirmUpdateBarCodeFirstSV
    {
        #region IShipPickConfirmUpdateBarCodeFirstSV Members

        //[OperationBehavior]
        public void Do(UFSoft.UBF.Service.ISVContext context , List<UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData> docInfo)
        {
			
			ICommonDataContract commonData = CommonDataContractFactory.GetCommonData(context);
			DoEx(commonData, docInfo);
        }
        
        //[OperationBehavior]
        public void DoEx(ICommonDataContract commonData, List<UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData> docInfo)
        {
			this.CommonData = commonData ;
            try
            {
                BeforeInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmUpdateBarCodeFirstSV");                
                ShipPickConfirmUpdateBarCodeFirstSV objectRef = new ShipPickConfirmUpdateBarCodeFirstSV();
				objectRef.DocInfo = docInfo;

				//处理返回类型.
				objectRef.Do(); //没有返回值

	        }
			catch (System.Exception e)
            {
				DealException(e);
				throw;
            }
            finally
            {
				FinallyInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmUpdateBarCodeFirstSV");
            }
        }
	#endregion
    }
}
