﻿



using System; 
using System.Collections;
using System.Collections.Generic ;
using System.Runtime.Serialization;

namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	/// <summary>
	/// 条码详情 DTO :REST自定义的数据传输类型 
	/// 
	/// </summary>
	[DataContract(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
	[Serializable]
	public partial class BarCodeDetailInfoData  
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public BarCodeDetailInfoData()
		{
			initData();
		}
		private void initData()
		{
		
		
		
		
		
		
		
		

			//调用默认值初始化服务进行配置方式初始化
			UFSoft.UBF.Service.DTOService.InitConfigDefault(this);
		}
		[System.Runtime.Serialization.OnDeserializing]
		internal void OnDeserializing(System.Runtime.Serialization.StreamingContext context)
		{
			 initData();
		}
		#region Do SerializeKey -ForDTODataType
		//只为处理集合型EntityKey。原因集合型EntityKey由于使用臫的集合对象，无法实现数据共享.-UBF专用.
		public void DoSerializeKeyList(IDictionary dict)
		{
			if (dict == null ) dict = new Hashtable() ;
			if (dict[this] != null)
				return ;
			dict[this] = this;
	        	        	        	        	        	        			if (this.UseDateils!=null)
			{
				foreach(UFIDA.U9.Cust.Kusi.CJJ.RestApi.UsedDetailData objdata in this.UseDateils)
				{
					objdata.DoSerializeKeyList(dict);
				}
			}
				        			if (this.PackageInfos!=null)
			{
				foreach(UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoData objdata in this.PackageInfos)
				{
					objdata.DoSerializeKeyList(dict);
				}
			}
				        
		}
		#endregion 
		/// <summary>
		/// Constructor Full Argument
		/// </summary>
		public BarCodeDetailInfoData(  System.String barCode  , System.String itemCode  , System.String itemName  , System.String project  , System.String seiban  , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.UsedDetailData> useDateils  , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoData> packageInfos  , System.String itemSPECS  )
		{
			initData();
			this.BarCode = barCode;
			this.ItemCode = itemCode;
			this.ItemName = itemName;
			this.Project = project;
			this.Seiban = seiban;
			this.UseDateils = useDateils;
			this.PackageInfos = packageInfos;
			this.ItemSPECS = itemSPECS;
		}
		#region System Fields 
		//--系统字段,目前没有.EntityData上有相应的字段,用于保存相关的实体状态信息,DTO上没有状态信息.	
		#endregion
		
		#region DTO Properties 
	
		

		/// <summary>
		/// 条码
		/// 条码详情.Misc.条码
		/// </summary>
		private System.String m_barCode ;
		[DataMember(IsRequired=false)]
		public System.String BarCode
		{
			get	
			{	
				return m_barCode ;
			}
			set	
			{	
				m_barCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 料号
		/// 条码详情.Misc.料号
		/// </summary>
		private System.String m_itemCode ;
		[DataMember(IsRequired=false)]
		public System.String ItemCode
		{
			get	
			{	
				return m_itemCode ;
			}
			set	
			{	
				m_itemCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 品名
		/// 条码详情.Misc.品名
		/// </summary>
		private System.String m_itemName ;
		[DataMember(IsRequired=false)]
		public System.String ItemName
		{
			get	
			{	
				return m_itemName ;
			}
			set	
			{	
				m_itemName = value ;	
			}
		}
			
		

		/// <summary>
		/// 项目
		/// 条码详情.Misc.项目
		/// </summary>
		private System.String m_project ;
		[DataMember(IsRequired=false)]
		public System.String Project
		{
			get	
			{	
				return m_project ;
			}
			set	
			{	
				m_project = value ;	
			}
		}
			
		

		/// <summary>
		/// 番号
		/// 条码详情.Misc.番号
		/// </summary>
		private System.String m_seiban ;
		[DataMember(IsRequired=false)]
		public System.String Seiban
		{
			get	
			{	
				return m_seiban ;
			}
			set	
			{	
				m_seiban = value ;	
			}
		}
			
		

		/// <summary>
		/// 使用情况
		/// 条码详情.Misc.使用情况
		/// </summary>
		private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.UsedDetailData> m_useDateils ;
		[DataMember(IsRequired=false)]
		public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.UsedDetailData> UseDateils
		{
			get	
			{	
				if (m_useDateils == null )
				{
					List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.UsedDetailData> n_m_list = new List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.UsedDetailData>() ;
					m_useDateils = n_m_list ;
				}
				return m_useDateils ;
			}
			set	
			{	
				m_useDateils = value ;	
			}
		}
			
		

		/// <summary>
		/// 分包信息
		/// 条码详情.Misc.分包信息
		/// </summary>
		private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoData> m_packageInfos ;
		[DataMember(IsRequired=false)]
		public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoData> PackageInfos
		{
			get	
			{	
				if (m_packageInfos == null )
				{
					List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoData> n_m_list = new List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoData>() ;
					m_packageInfos = n_m_list ;
				}
				return m_packageInfos ;
			}
			set	
			{	
				m_packageInfos = value ;	
			}
		}
			
		

		/// <summary>
		/// 规格
		/// 条码详情.Misc.规格
		/// </summary>
		private System.String m_itemSPECS ;
		[DataMember(IsRequired=false)]
		public System.String ItemSPECS
		{
			get	
			{	
				return m_itemSPECS ;
			}
			set	
			{	
				m_itemSPECS = value ;	
			}
		}
			
		#endregion	

		#region Multi_Fields
																
		#endregion 
	} 	
}
