﻿



using System; 
using System.Collections;
using System.Collections.Generic ;
using System.Runtime.Serialization;

namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	/// <summary>
	/// 条码分析结果 DTO :REST自定义的数据传输类型 
	/// 
	/// </summary>
	[DataContract(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
	[Serializable]
	public partial class BarCodeanalyzeResultDTOData  
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public BarCodeanalyzeResultDTOData()
		{
			initData();
		}
		private void initData()
		{
					EntityID= 0; 
				
		
		
		
		

			//调用默认值初始化服务进行配置方式初始化
			UFSoft.UBF.Service.DTOService.InitConfigDefault(this);
		}
		[System.Runtime.Serialization.OnDeserializing]
		internal void OnDeserializing(System.Runtime.Serialization.StreamingContext context)
		{
			 initData();
		}
		#region Do SerializeKey -ForDTODataType
		//只为处理集合型EntityKey。原因集合型EntityKey由于使用臫的集合对象，无法实现数据共享.-UBF专用.
		public void DoSerializeKeyList(IDictionary dict)
		{
			if (dict == null ) dict = new Hashtable() ;
			if (dict[this] != null)
				return ;
			dict[this] = this;
	        	        			if (this.AttachmentInfos!=null)
			{
				foreach(UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData objdata in this.AttachmentInfos)
				{
					objdata.DoSerializeKeyList(dict);
				}
			}
				        	        	        	        
		}
		#endregion 
		/// <summary>
		/// Constructor Full Argument
		/// </summary>
		public BarCodeanalyzeResultDTOData(  System.Int64 entityID  , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData> attachmentInfos  , System.String barCode  , System.String entityType  , System.String docNo  , System.String flowID  )
		{
			initData();
			this.EntityID = entityID;
			this.AttachmentInfos = attachmentInfos;
			this.BarCode = barCode;
			this.EntityType = entityType;
			this.DocNo = docNo;
			this.FlowID = flowID;
		}
		#region System Fields 
		//--系统字段,目前没有.EntityData上有相应的字段,用于保存相关的实体状态信息,DTO上没有状态信息.	
		#endregion
		
		#region DTO Properties 
	
		

		/// <summary>
		/// 单据ID
		/// 条码分析结果.Misc.单据ID
		/// </summary>
		private System.Int64 m_entityID ;
		[DataMember(IsRequired=false)]
		public System.Int64 EntityID
		{
			get	
			{	
				return m_entityID ;
			}
			set	
			{	
				m_entityID = value ;	
			}
		}
			
		

		/// <summary>
		/// 附件信息
		/// 条码分析结果.Misc.附件信息
		/// </summary>
		private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData> m_attachmentInfos ;
		[DataMember(IsRequired=false)]
		public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData> AttachmentInfos
		{
			get	
			{	
				if (m_attachmentInfos == null )
				{
					List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData> n_m_list = new List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData>() ;
					m_attachmentInfos = n_m_list ;
				}
				return m_attachmentInfos ;
			}
			set	
			{	
				m_attachmentInfos = value ;	
			}
		}
			
		

		/// <summary>
		/// 条码
		/// 条码分析结果.Misc.条码
		/// </summary>
		private System.String m_barCode ;
		[DataMember(IsRequired=false)]
		public System.String BarCode
		{
			get	
			{	
				return m_barCode ;
			}
			set	
			{	
				m_barCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 单据类型
		/// 条码分析结果.Misc.单据类型
		/// </summary>
		private System.String m_entityType ;
		[DataMember(IsRequired=false)]
		public System.String EntityType
		{
			get	
			{	
				return m_entityType ;
			}
			set	
			{	
				m_entityType = value ;	
			}
		}
			
		

		/// <summary>
		/// 单号
		/// 条码分析结果.Misc.单号
		/// </summary>
		private System.String m_docNo ;
		[DataMember(IsRequired=false)]
		public System.String DocNo
		{
			get	
			{	
				return m_docNo ;
			}
			set	
			{	
				m_docNo = value ;	
			}
		}
			
		

		/// <summary>
		/// 工作量ID
		/// 条码分析结果.Misc.工作量ID
		/// </summary>
		private System.String m_flowID ;
		[DataMember(IsRequired=false)]
		public System.String FlowID
		{
			get	
			{	
				return m_flowID ;
			}
			set	
			{	
				m_flowID = value ;	
			}
		}
			
		#endregion	

		#region Multi_Fields
												
		#endregion 
	} 	
}
