﻿



using System; 
using System.Collections;
using System.Collections.Generic ;
using System.Runtime.Serialization;

namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	/// <summary>
	/// 额外信息 DTO :REST自定义的数据传输类型 
	/// 
	/// </summary>
	[DataContract(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
	[Serializable]
	public partial class ExtInfoDTOData  
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public ExtInfoDTOData()
		{
			initData();
		}
		private void initData()
		{
		
					Qty=0m; 
					WhQty=0m; 
					BarCodeType= 0; 
							WhID= 0; 
				
		
					BinID= 0; 
				
		
		
		
		
		

			//调用默认值初始化服务进行配置方式初始化
			UFSoft.UBF.Service.DTOService.InitConfigDefault(this);
		}
		[System.Runtime.Serialization.OnDeserializing]
		internal void OnDeserializing(System.Runtime.Serialization.StreamingContext context)
		{
			 initData();
		}
		#region Do SerializeKey -ForDTODataType
		//只为处理集合型EntityKey。原因集合型EntityKey由于使用臫的集合对象，无法实现数据共享.-UBF专用.
		public void DoSerializeKeyList(IDictionary dict)
		{
			if (dict == null ) dict = new Hashtable() ;
			if (dict[this] != null)
				return ;
			dict[this] = this;
	        	        	        	        	        	        	        	        	        	        	        	        			if (this.Packages!=null)
			{
				foreach(UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoDTOData objdata in this.Packages)
				{
					objdata.DoSerializeKeyList(dict);
				}
			}
				        	        
		}
		#endregion 
		/// <summary>
		/// Constructor Full Argument
		/// </summary>
		public ExtInfoDTOData(  System.String barCode  , System.Decimal qty  , System.Decimal whQty  , System.Int32 barCodeType  , System.Int64 whID  , System.String whCode  , System.String whName  , System.Int64 binID  , System.String binCode  , System.String binName  , System.String partName  , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoDTOData> packages  , System.String binBarCode  , System.String binOrgCode  )
		{
			initData();
			this.BarCode = barCode;
			this.Qty = qty;
			this.WhQty = whQty;
			this.BarCodeType = barCodeType;
			this.WhID = whID;
			this.WhCode = whCode;
			this.WhName = whName;
			this.BinID = binID;
			this.BinCode = binCode;
			this.BinName = binName;
			this.PartName = partName;
			this.Packages = packages;
			this.BinBarCode = binBarCode;
			this.BinOrgCode = binOrgCode;
		}
		#region System Fields 
		//--系统字段,目前没有.EntityData上有相应的字段,用于保存相关的实体状态信息,DTO上没有状态信息.	
		#endregion
		
		#region DTO Properties 
	
		

		/// <summary>
		/// 条码
		/// 额外信息.Misc.条码
		/// </summary>
		private System.String m_barCode ;
		[DataMember(IsRequired=false)]
		public System.String BarCode
		{
			get	
			{	
				return m_barCode ;
			}
			set	
			{	
				m_barCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 数量
		/// 额外信息.Misc.数量
		/// </summary>
		private System.Decimal m_qty ;
		[DataMember(IsRequired=false)]
		public System.Decimal Qty
		{
			get	
			{	
				return m_qty ;
			}
			set	
			{	
				m_qty = value ;	
			}
		}
			
		

		/// <summary>
		/// 现存量
		/// 额外信息.Misc.现存量
		/// </summary>
		private System.Decimal m_whQty ;
		[DataMember(IsRequired=false)]
		public System.Decimal WhQty
		{
			get	
			{	
				return m_whQty ;
			}
			set	
			{	
				m_whQty = value ;	
			}
		}
			
		

		/// <summary>
		/// 条码类型
		/// 额外信息.Misc.条码类型
		/// </summary>
		private System.Int32 m_barCodeType ;
		[DataMember(IsRequired=false)]
		public System.Int32 BarCodeType
		{
			get	
			{	
				return m_barCodeType ;
			}
			set	
			{	
				m_barCodeType = value ;	
			}
		}
			
		

		/// <summary>
		/// 存储地点ID
		/// 额外信息.Misc.存储地点ID
		/// </summary>
		private System.Int64 m_whID ;
		[DataMember(IsRequired=false)]
		public System.Int64 WhID
		{
			get	
			{	
				return m_whID ;
			}
			set	
			{	
				m_whID = value ;	
			}
		}
			
		

		/// <summary>
		/// 存储地点编码
		/// 额外信息.Misc.存储地点编码
		/// </summary>
		private System.String m_whCode ;
		[DataMember(IsRequired=false)]
		public System.String WhCode
		{
			get	
			{	
				return m_whCode ;
			}
			set	
			{	
				m_whCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 存储地点名称
		/// 额外信息.Misc.存储地点名称
		/// </summary>
		private System.String m_whName ;
		[DataMember(IsRequired=false)]
		public System.String WhName
		{
			get	
			{	
				return m_whName ;
			}
			set	
			{	
				m_whName = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位ID
		/// 额外信息.Misc.库位ID
		/// </summary>
		private System.Int64 m_binID ;
		[DataMember(IsRequired=false)]
		public System.Int64 BinID
		{
			get	
			{	
				return m_binID ;
			}
			set	
			{	
				m_binID = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位编码
		/// 额外信息.Misc.库位编码
		/// </summary>
		private System.String m_binCode ;
		[DataMember(IsRequired=false)]
		public System.String BinCode
		{
			get	
			{	
				return m_binCode ;
			}
			set	
			{	
				m_binCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位名称
		/// 额外信息.Misc.库位名称
		/// </summary>
		private System.String m_binName ;
		[DataMember(IsRequired=false)]
		public System.String BinName
		{
			get	
			{	
				return m_binName ;
			}
			set	
			{	
				m_binName = value ;	
			}
		}
			
		

		/// <summary>
		/// 分包名称
		/// 额外信息.Misc.分包名称
		/// </summary>
		private System.String m_partName ;
		[DataMember(IsRequired=false)]
		public System.String PartName
		{
			get	
			{	
				return m_partName ;
			}
			set	
			{	
				m_partName = value ;	
			}
		}
			
		

		/// <summary>
		/// 分包
		/// 额外信息.Misc.分包
		/// </summary>
		private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoDTOData> m_packages ;
		[DataMember(IsRequired=false)]
		public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoDTOData> Packages
		{
			get	
			{	
				if (m_packages == null )
				{
					List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoDTOData> n_m_list = new List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.PackageInfoDTOData>() ;
					m_packages = n_m_list ;
				}
				return m_packages ;
			}
			set	
			{	
				m_packages = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位条码
		/// 额外信息.Misc.库位条码
		/// </summary>
		private System.String m_binBarCode ;
		[DataMember(IsRequired=false)]
		public System.String BinBarCode
		{
			get	
			{	
				return m_binBarCode ;
			}
			set	
			{	
				m_binBarCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位组织编码
		/// 额外信息.Misc.库位组织编码
		/// </summary>
		private System.String m_binOrgCode ;
		[DataMember(IsRequired=false)]
		public System.String BinOrgCode
		{
			get	
			{	
				return m_binOrgCode ;
			}
			set	
			{	
				m_binOrgCode = value ;	
			}
		}
			
		#endregion	

		#region Multi_Fields
																												
		#endregion 
	} 	
}
