﻿



using System; 
using System.Collections;
using System.Collections.Generic ;
using System.Runtime.Serialization;

namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	/// <summary>
	/// 上传附件信息 DTO :REST自定义的数据传输类型 
	/// 
	/// </summary>
	[DataContract(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
	[Serializable]
	public partial class FileInfoDTOData  
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public FileInfoDTOData()
		{
			initData();
		}
		private void initData()
		{
		
					DocID= 0; 
				

			//调用默认值初始化服务进行配置方式初始化
			UFSoft.UBF.Service.DTOService.InitConfigDefault(this);
		}
		[System.Runtime.Serialization.OnDeserializing]
		internal void OnDeserializing(System.Runtime.Serialization.StreamingContext context)
		{
			 initData();
		}
		#region Do SerializeKey -ForDTODataType
		//只为处理集合型EntityKey。原因集合型EntityKey由于使用臫的集合对象，无法实现数据共享.-UBF专用.
		public void DoSerializeKeyList(IDictionary dict)
		{
			if (dict == null ) dict = new Hashtable() ;
			if (dict[this] != null)
				return ;
			dict[this] = this;
	        	        	        
		}
		#endregion 
		/// <summary>
		/// Constructor Full Argument
		/// </summary>
		public FileInfoDTOData(  System.String data  , System.Int64 docID  , System.String entityFullName  )
		{
			initData();
			this.Data = data;
			this.DocID = docID;
			this.EntityFullName = entityFullName;
		}
		#region System Fields 
		//--系统字段,目前没有.EntityData上有相应的字段,用于保存相关的实体状态信息,DTO上没有状态信息.	
		#endregion
		
		#region DTO Properties 
	
		

		/// <summary>
		/// JSON
		/// 上传附件信息.Misc.JSON
		/// </summary>
		private System.String m_data ;
		[DataMember(IsRequired=false)]
		public System.String Data
		{
			get	
			{	
				return m_data ;
			}
			set	
			{	
				m_data = value ;	
			}
		}
			
		

		/// <summary>
		/// 单据ID
		/// 上传附件信息.Misc.单据ID
		/// </summary>
		private System.Int64 m_docID ;
		[DataMember(IsRequired=false)]
		public System.Int64 DocID
		{
			get	
			{	
				return m_docID ;
			}
			set	
			{	
				m_docID = value ;	
			}
		}
			
		

		/// <summary>
		/// 单据实体
		/// 上传附件信息.Misc.单据实体
		/// </summary>
		private System.String m_entityFullName ;
		[DataMember(IsRequired=false)]
		public System.String EntityFullName
		{
			get	
			{	
				return m_entityFullName ;
			}
			set	
			{	
				m_entityFullName = value ;	
			}
		}
			
		#endregion	

		#region Multi_Fields
						
		#endregion 
	} 	
}
