﻿



using System; 
using System.Collections;
using System.Collections.Generic ;
using System.Runtime.Serialization;

namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	/// <summary>
	/// 分包信息 DTO :REST自定义的数据传输类型 
	/// 
	/// </summary>
	[DataContract(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
	[Serializable]
	public partial class PackageInfoData  
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public PackageInfoData()
		{
			initData();
		}
		private void initData()
		{
		
		
		
		

			//调用默认值初始化服务进行配置方式初始化
			UFSoft.UBF.Service.DTOService.InitConfigDefault(this);
		}
		[System.Runtime.Serialization.OnDeserializing]
		internal void OnDeserializing(System.Runtime.Serialization.StreamingContext context)
		{
			 initData();
		}
		#region Do SerializeKey -ForDTODataType
		//只为处理集合型EntityKey。原因集合型EntityKey由于使用臫的集合对象，无法实现数据共享.-UBF专用.
		public void DoSerializeKeyList(IDictionary dict)
		{
			if (dict == null ) dict = new Hashtable() ;
			if (dict[this] != null)
				return ;
			dict[this] = this;
	        	        	        	        
		}
		#endregion 
		/// <summary>
		/// Constructor Full Argument
		/// </summary>
		public PackageInfoData(  System.String packageSize  , System.String sequence  , System.String partName  , System.String barCode  )
		{
			initData();
			this.PackageSize = packageSize;
			this.Sequence = sequence;
			this.PartName = partName;
			this.BarCode = barCode;
		}
		#region System Fields 
		//--系统字段,目前没有.EntityData上有相应的字段,用于保存相关的实体状态信息,DTO上没有状态信息.	
		#endregion
		
		#region DTO Properties 
	
		

		/// <summary>
		/// 分包大小
		/// 分包信息.Misc.分包大小
		/// </summary>
		private System.String m_packageSize ;
		[DataMember(IsRequired=false)]
		public System.String PackageSize
		{
			get	
			{	
				return m_packageSize ;
			}
			set	
			{	
				m_packageSize = value ;	
			}
		}
			
		

		/// <summary>
		/// 序号
		/// 分包信息.Misc.序号
		/// </summary>
		private System.String m_sequence ;
		[DataMember(IsRequired=false)]
		public System.String Sequence
		{
			get	
			{	
				return m_sequence ;
			}
			set	
			{	
				m_sequence = value ;	
			}
		}
			
		

		/// <summary>
		/// 名称
		/// 分包信息.Misc.名称
		/// </summary>
		private System.String m_partName ;
		[DataMember(IsRequired=false)]
		public System.String PartName
		{
			get	
			{	
				return m_partName ;
			}
			set	
			{	
				m_partName = value ;	
			}
		}
			
		

		/// <summary>
		/// 条码
		/// 分包信息.Misc.条码
		/// </summary>
		private System.String m_barCode ;
		[DataMember(IsRequired=false)]
		public System.String BarCode
		{
			get	
			{	
				return m_barCode ;
			}
			set	
			{	
				m_barCode = value ;	
			}
		}
			
		#endregion	

		#region Multi_Fields
								
		#endregion 
	} 	
}
