﻿



using System; 
using System.Collections;
using System.Collections.Generic ;
using System.Runtime.Serialization;

namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	/// <summary>
	/// 使用情况 DTO :REST自定义的数据传输类型 
	/// 
	/// </summary>
	[DataContract(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
	[Serializable]
	public partial class UsedDetailData  
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public UsedDetailData()
		{
			initData();
		}
		private void initData()
		{
		
					Direct= 0; 
				
		
		
		
		
		
		

			//调用默认值初始化服务进行配置方式初始化
			UFSoft.UBF.Service.DTOService.InitConfigDefault(this);
		}
		[System.Runtime.Serialization.OnDeserializing]
		internal void OnDeserializing(System.Runtime.Serialization.StreamingContext context)
		{
			 initData();
		}
		#region Do SerializeKey -ForDTODataType
		//只为处理集合型EntityKey。原因集合型EntityKey由于使用臫的集合对象，无法实现数据共享.-UBF专用.
		public void DoSerializeKeyList(IDictionary dict)
		{
			if (dict == null ) dict = new Hashtable() ;
			if (dict[this] != null)
				return ;
			dict[this] = this;
	        	        	        	        	        	        	        	        	        			if (this.BinInfo!=null)
			{
				foreach(UFIDA.U9.Cust.Kusi.CJJ.RestApi.BinDTOData objdata in this.BinInfo)
				{
					objdata.DoSerializeKeyList(dict);
				}
			}
			
		}
		#endregion 
		/// <summary>
		/// Constructor Full Argument
		/// </summary>
		public UsedDetailData(  System.DateTime useDate  , System.Int32 direct  , System.String docNo  , System.String srcDocType  , System.String srcDocNo  , System.String createBy  , System.String whCode  , System.String whName  , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BinDTOData> binInfo  )
		{
			initData();
			this.UseDate = useDate;
			this.Direct = direct;
			this.DocNo = docNo;
			this.SrcDocType = srcDocType;
			this.SrcDocNo = srcDocNo;
			this.CreateBy = createBy;
			this.WhCode = whCode;
			this.WhName = whName;
			this.BinInfo = binInfo;
		}
		#region System Fields 
		//--系统字段,目前没有.EntityData上有相应的字段,用于保存相关的实体状态信息,DTO上没有状态信息.	
		#endregion
		
		#region DTO Properties 
	
		

		/// <summary>
		/// 使用日期
		/// 使用情况.Misc.使用日期
		/// </summary>
		private System.DateTime m_useDate ;
		[DataMember(IsRequired=false)]
		public System.DateTime UseDate
		{
			get	
			{	
				return m_useDate ;
			}
			set	
			{	
				m_useDate = value ;	
			}
		}
			
		

		/// <summary>
		/// 方向
		/// 使用情况.Misc.方向
		/// </summary>
		private System.Int32 m_direct ;
		[DataMember(IsRequired=false)]
		public System.Int32 Direct
		{
			get	
			{	
				return m_direct ;
			}
			set	
			{	
				m_direct = value ;	
			}
		}
			
		

		/// <summary>
		/// 单号
		/// 使用情况.Misc.单号
		/// </summary>
		private System.String m_docNo ;
		[DataMember(IsRequired=false)]
		public System.String DocNo
		{
			get	
			{	
				return m_docNo ;
			}
			set	
			{	
				m_docNo = value ;	
			}
		}
			
		

		/// <summary>
		/// 来源单据类别
		/// 使用情况.Misc.来源单据类别
		/// </summary>
		private System.String m_srcDocType ;
		[DataMember(IsRequired=false)]
		public System.String SrcDocType
		{
			get	
			{	
				return m_srcDocType ;
			}
			set	
			{	
				m_srcDocType = value ;	
			}
		}
			
		

		/// <summary>
		/// 来源单号
		/// 使用情况.Misc.来源单号
		/// </summary>
		private System.String m_srcDocNo ;
		[DataMember(IsRequired=false)]
		public System.String SrcDocNo
		{
			get	
			{	
				return m_srcDocNo ;
			}
			set	
			{	
				m_srcDocNo = value ;	
			}
		}
			
		

		/// <summary>
		/// 扫描人
		/// 使用情况.Misc.扫描人
		/// </summary>
		private System.String m_createBy ;
		[DataMember(IsRequired=false)]
		public System.String CreateBy
		{
			get	
			{	
				return m_createBy ;
			}
			set	
			{	
				m_createBy = value ;	
			}
		}
			
		

		/// <summary>
		/// 存储地点编码
		/// 使用情况.Misc.存储地点编码
		/// </summary>
		private System.String m_whCode ;
		[DataMember(IsRequired=false)]
		public System.String WhCode
		{
			get	
			{	
				return m_whCode ;
			}
			set	
			{	
				m_whCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 存储地点名称
		/// 使用情况.Misc.存储地点名称
		/// </summary>
		private System.String m_whName ;
		[DataMember(IsRequired=false)]
		public System.String WhName
		{
			get	
			{	
				return m_whName ;
			}
			set	
			{	
				m_whName = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位信息
		/// 使用情况.Misc.库位信息
		/// </summary>
		private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BinDTOData> m_binInfo ;
		[DataMember(IsRequired=false)]
		public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BinDTOData> BinInfo
		{
			get	
			{	
				if (m_binInfo == null )
				{
					List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BinDTOData> n_m_list = new List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BinDTOData>() ;
					m_binInfo = n_m_list ;
				}
				return m_binInfo ;
			}
			set	
			{	
				m_binInfo = value ;	
			}
		}
			
		#endregion	

		#region Multi_Fields
																		
		#endregion 
	} 	
}
