﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UFSoft.UBF.Business;
using UFSoft.UBF.PL.Engine.Cache;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.ConfirmInventSheetSV
{
    public partial class ConfirmInventSheetSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    
    {
        public override void AfterDo(object bp, ref object result)
        {
            //盘点
            #region 获取相关强类型数据                               

            UFIDA.U9.ISV.InventSheetSV.ConfirmInventSheetSV strongBP = bp as UFIDA.U9.ISV.InventSheetSV.ConfirmInventSheetSV;
            if (strongBP == null)
                return;
            
            PLCacheManager.DataCache.FlushCache();
            PLCacheManager.ObjectCache.FlushCache();
            using (ISession session = Session.Open())
            {
                foreach (var inventSheetLineDTOData in strongBP.LineDTOs)
                {
                    UpdateBarCodeNew.Update(inventSheetLineDTOData.DocLineID, "", "UFIDA.U9.InvDoc.InventorySheet.InventSheetLine", inventSheetLineDTOData.BinID, inventSheetLineDTOData.BinCode, inventSheetLineDTOData.BinName, inventSheetLineDTOData.WhID, inventSheetLineDTOData.WhCode, inventSheetLineDTOData.WhName);
                }
                session.Commit();
            }

            #endregion

        }

        public override void BeforeDo(object bp)
        {

        }
    }
}
