﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UFIDA.U9.Cust.Kusi.CJJ.Plugin.BPSV.MiscRcvTransPickBarCodeSV
{
    public class CheckFinanceConfirm : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            if (result is UFIDA.U9.ISV.Mobile.SM.ShipPickBarCodeResultDTOData dto && dto.DocBCInfo != null)
            {
                UFIDA.U9.InvDoc.MiscRcv.MiscRcvTrans doc = UFIDA.U9.InvDoc.MiscRcv.MiscRcvTrans.Finder.FindByID(dto.DocBCInfo.EntityKey);
                if (doc != null && doc.DescFlexField != null)
                {
                    if (bool.TryParse(doc.DescFlexField.PrivateDescSeg2, out bool isConfirm) && !isConfirm)
                    {
                        throw new Exception(String.Format("库存杂收单{0}还没经财务确认，不能收货", doc.DocNo));
                    }
                }
            }
        }

        public override void BeforeDo(object bp)
        {
        }
    }
}
