﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.ApproveRcvRptDocSV
{
    public partial class ApproveRcvRptDocSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            #region 获取相关强类型数据                               
            //成品确认入库
            UFIDA.U9.BC.ApproveDocSV.ApproveRcvRptDocSV strongBP = bp as UFIDA.U9.BC.ApproveDocSV.ApproveRcvRptDocSV;
            if (strongBP == null)
                return;
            foreach (BC.ApproveDocSV.RcvRptDocDTOData rcvRptDocDTOData in strongBP.ParamInList)
            {
                foreach (var needChangePUQtyDTOData in rcvRptDocDTOData.Lines)
                {
                    long whid = 0;
                    string whcode = "";
                    string whname = "";
                    long binid = 0;
                    string bincode = "";
                    string binname = "";
                    UFIDA.U9.Complete.RCVRpt.RcvRptDocLine rcvRptDocLine = UFIDA.U9.Complete.RCVRpt.RcvRptDocLine.Finder.FindByID(needChangePUQtyDTOData.LineID);
                    if (rcvRptDocLine !=null)
                    {
                        if (rcvRptDocLine.Wh!=null) 
                        {
                            whid = rcvRptDocLine.Wh.ID;
                            whcode = rcvRptDocLine.Wh.Code;
                            whname = rcvRptDocLine.Wh.Name;
                        }
                        if (rcvRptDocLine.Bin!=null)
                        {
                            binid = rcvRptDocLine.Bin.ID;
                            bincode = rcvRptDocLine.Bin.Code;
                            binname = rcvRptDocLine.Bin.Name;
                        }
                        
                    }
                    UpdateBarCode.Update(needChangePUQtyDTOData.LineID, "UFIDA.U9.Complete.RCVRpt.RcvRptDocLine","", binid, bincode, binname, whid, whcode, whname);
                }
            }



            #endregion

        }

        public override void BeforeDo(object bp)
        {

        }
    }
}
