﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.MiscRcvTransPickConfirmBCSV
{
    public partial class MiscRcvTransPickConfirmBCSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            #region 获取相关强类型数据                               
            //杂收
            UFIDA.U9.ISV.Mobile.INV.MiscRcvTransPickConfirmBCSV strongBP = bp as UFIDA.U9.ISV.Mobile.INV.MiscRcvTransPickConfirmBCSV;
            if (strongBP == null)
                return;
            foreach (ISV.Mobile.SM.ShipPickConfirmBCDTOData shipPickConfirmBCDTOData in strongBP.DocInfo)
            {
                
                foreach (ISV.Mobile.SM.ShipPickConfirmBCLineDTOData shipPickConfirmBCLineDTOData in shipPickConfirmBCDTOData.DocLines)
                {
                    foreach (ISV.Mobile.SM.ShipPickConfirmBCBinDTOData shipPickConfirmBCBinDTOData in shipPickConfirmBCLineDTOData.BinLines)
                    {
                        long whid = -1;
                        string whcode = "";
                        string whname = "";
                        long binid = -1;
                        string bincode = "";
                        string binname = "";
                        //UFIDA.U9.CBO.SCM.Bin.Bin bin = UFIDA.U9.CBO.SCM.Bin.Bin.Finder.FindByID(shipPickConfirmBCBinDTOData.BinKey);
                        //if (bin != null)
                        //{
                        //    binid = bin.ID;
                        //    bincode = bin.Code;
                        //    binname = bin.Name;
                        //}
                        UFIDA.U9.InvDoc.MiscRcv.MiscRcvTransL miscRcvTransL = UFIDA.U9.InvDoc.MiscRcv.MiscRcvTransL.Finder.FindByID(shipPickConfirmBCLineDTOData.DocLineKey);
                        if (miscRcvTransL != null)
                        {
                            whid = miscRcvTransL.Wh.ID;
                            whcode = miscRcvTransL.Wh.Code;
                            whname = miscRcvTransL.Wh.Name;
                            foreach (var miscRcvTransBin in miscRcvTransL.MiscRcvTransBins)
                            {
                                binid = miscRcvTransBin.BinInfo.Bin.ID;
                                bincode = miscRcvTransBin.BinInfo.Bin.Code;
                                binname = miscRcvTransBin.BinInfo.Bin.Name;
                                UpdateBarCode.Update(miscRcvTransBin.ID, "UFIDA.U9.InvDoc.MiscRcv.MiscRcvTransBin", "", binid, bincode, binname, whid, whcode, whname);
                            }
                        }
                        //UpdateBarCode.Update(shipPickConfirmBCLineDTOData.DocLineKey, "UFIDA.U9.InvDoc.MiscRcv.MiscRcvTransL", shipPickConfirmBCDTOData.BarCode, binid, bincode, binname, whid, whcode, whname);
                    }
                }
            }
            #endregion

        }

        public override void BeforeDo(object bp)
        {

        }
    }
}
