﻿







namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections;
	using System.Collections.Generic;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using System.IO;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Service.Base ;

    /// <summary>
    ///  ICreateMiscShipmentWithPackageSV Interface
    /// </summary>
    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface ICreateMiscShipmentWithPackageSV
    {
	[OperationContract()]
        System.String Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData> lineDTOs);
    }

    /// <summary>
    ///  CreateMiscShipmentWithPackageSVStub Class
    /// </summary>
    [UFSoft.UBF.Service.ServiceImplement]
    [ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public class CreateMiscShipmentWithPackageSVStub : ISVStubBase, ICreateMiscShipmentWithPackageSV
    {
        #region ICreateMiscShipmentWithPackageSV Members

        //[OperationBehavior]
        public System.String Do(UFSoft.UBF.Service.ISVContext context , List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData> lineDTOs)
        {
			
			ICommonDataContract commonData = CommonDataContractFactory.GetCommonData(context);
			return DoEx(commonData, lineDTOs);
        }
        
        //[OperationBehavior]
        public System.String DoEx(ICommonDataContract commonData, List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData> lineDTOs)
        {
			this.CommonData = commonData ;
            try
            {
                BeforeInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateMiscShipmentWithPackageSV");                
                CreateMiscShipmentWithPackageSV objectRef = new CreateMiscShipmentWithPackageSV();
				objectRef.LineDTOs = lineDTOs;

				//处理返回类型.
				System.String result = objectRef.Do();
				return result ;

	        }
			catch (System.Exception e)
            {
				DealException(e);
				throw;
            }
            finally
            {
				FinallyInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateMiscShipmentWithPackageSV");
            }
        }
	#endregion
    }
}
