﻿







namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections;
	using System.Collections.Generic;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using System.IO;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Service.Base ;

    /// <summary>
    ///  ICreateRcvRptDocCostWithPackage Interface
    /// </summary>
    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface ICreateRcvRptDocCostWithPackage
    {
	[OperationContract()]
        UFIDA.U9.ISV.Mobile.MO.ResultDTOData Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.ISV.Mobile.MO.RcvRptDocCostDTOData> lineDTOs);
    }

    /// <summary>
    ///  CreateRcvRptDocCostWithPackageStub Class
    /// </summary>
    [UFSoft.UBF.Service.ServiceImplement]
    [ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public class CreateRcvRptDocCostWithPackageStub : ISVStubBase, ICreateRcvRptDocCostWithPackage
    {
        #region ICreateRcvRptDocCostWithPackage Members

        //[OperationBehavior]
        public UFIDA.U9.ISV.Mobile.MO.ResultDTOData Do(UFSoft.UBF.Service.ISVContext context , List<UFIDA.U9.ISV.Mobile.MO.RcvRptDocCostDTOData> lineDTOs)
        {
			
			ICommonDataContract commonData = CommonDataContractFactory.GetCommonData(context);
			return DoEx(commonData, lineDTOs);
        }
        
        //[OperationBehavior]
        public UFIDA.U9.ISV.Mobile.MO.ResultDTOData DoEx(ICommonDataContract commonData, List<UFIDA.U9.ISV.Mobile.MO.RcvRptDocCostDTOData> lineDTOs)
        {
			this.CommonData = commonData ;
            try
            {
                BeforeInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateRcvRptDocCostWithPackage");                
                CreateRcvRptDocCostWithPackage objectRef = new CreateRcvRptDocCostWithPackage();
				objectRef.LineDTOs = lineDTOs;

				//处理返回类型.
				UFIDA.U9.ISV.Mobile.MO.ResultDTOData result = objectRef.Do();
				return result ;

	        }
			catch (System.Exception e)
            {
				DealException(e);
				throw;
            }
            finally
            {
				FinallyInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateRcvRptDocCostWithPackage");
            }
        }
	#endregion
    }
}
