﻿namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections.Generic;
	using System.Text;
	using UFSoft.UBF.AopFrame;	
	using UFSoft.UBF.Util.Context;

	/// <summary>
	/// FileUploadService partial 
	/// </summary>	
	public partial class FileUploadService 
	{	
		internal BaseStrategy Select()
		{
			return new FileUploadServiceImpementStrategy();	
		}		
	}
	
	#region  implement strategy	
	/// <summary>
	/// Impement Implement
	/// 
	/// </summary>	
	internal partial class FileUploadServiceImpementStrategy : BaseStrategy
	{
		public FileUploadServiceImpementStrategy() { }

		public override object Do(object obj)
		{						
			FileUploadService bpObj = (FileUploadService)obj;

			foreach (var fileInfo in bpObj.FileInfos)
			{
				var tmp = new ISV.MobileApprovalSV.UploadAttachmentFileService()
				{
					Data = fileInfo.Data
				}.Do(); 

				if (tmp.RecordList.Contains("失败"))
				{
					throw new Exception(tmp.RecordList);
				}
            }

            return 0;
		}		
	}

	#endregion
	
	
}