﻿







namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections;
	using System.Collections.Generic;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using System.IO;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Service.Base ;

    /// <summary>
    ///  IGetBarCodeExtInfoSV Interface
    /// </summary>
    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IGetBarCodeExtInfoSV
    {
	[OperationContract()]
        List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.ExtInfoDTOData> Do(UFSoft.UBF.Service.ISVContext context ,List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData> barCodes);
    }

    /// <summary>
    ///  GetBarCodeExtInfoSVStub Class
    /// </summary>
    [UFSoft.UBF.Service.ServiceImplement]
    [ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public class GetBarCodeExtInfoSVStub : ISVStubBase, IGetBarCodeExtInfoSV
    {
        #region IGetBarCodeExtInfoSV Members

        //[OperationBehavior]
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.ExtInfoDTOData> Do(UFSoft.UBF.Service.ISVContext context , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData> barCodes)
        {
			
			ICommonDataContract commonData = CommonDataContractFactory.GetCommonData(context);
			return DoEx(commonData, barCodes);
        }
        
        //[OperationBehavior]
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.ExtInfoDTOData> DoEx(ICommonDataContract commonData, List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData> barCodes)
        {
			this.CommonData = commonData ;
            try
            {
                BeforeInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetBarCodeExtInfoSV");                
                GetBarCodeExtInfoSV objectRef = new GetBarCodeExtInfoSV();
				objectRef.BarCodes = barCodes;

				//处理返回类型.
				List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.ExtInfoDTOData> result = objectRef.Do();
				return result ;

	        }
			catch (System.Exception e)
            {
				DealException(e);
				throw;
            }
            finally
            {
				FinallyInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetBarCodeExtInfoSV");
            }
        }
	#endregion
    }
}
