﻿







namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	using System;
	using System.Collections;
	using System.Collections.Generic;
	using System.ServiceModel;
	using System.Runtime.Serialization;
	using System.IO;
	using UFSoft.UBF.Util.Context;
	using UFSoft.UBF;
	using UFSoft.UBF.Exceptions;
	using UFSoft.UBF.Service.Base ;

    /// <summary>
    ///  IGetBarCodeUsedWhBinInfoSV Interface
    /// </summary>
    [System.ServiceModel.ServiceContractAttribute(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
    public interface IGetBarCodeUsedWhBinInfoSV
    {
	[OperationContract()]
        List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> Do(UFSoft.UBF.Service.ISVContext context ,List<System.Int64> barCodeUsedIDs);
    }

    /// <summary>
    ///  GetBarCodeUsedWhBinInfoSVStub Class
    /// </summary>
    [UFSoft.UBF.Service.ServiceImplement]
    [ServiceBehavior(IncludeExceptionDetailInFaults = true)]
    public class GetBarCodeUsedWhBinInfoSVStub : ISVStubBase, IGetBarCodeUsedWhBinInfoSV
    {
        #region IGetBarCodeUsedWhBinInfoSV Members

        //[OperationBehavior]
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> Do(UFSoft.UBF.Service.ISVContext context , List<System.Int64> barCodeUsedIDs)
        {
			
			ICommonDataContract commonData = CommonDataContractFactory.GetCommonData(context);
			return DoEx(commonData, barCodeUsedIDs);
        }
        
        //[OperationBehavior]
        public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> DoEx(ICommonDataContract commonData, List<System.Int64> barCodeUsedIDs)
        {
			this.CommonData = commonData ;
            try
            {
                BeforeInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetBarCodeUsedWhBinInfoSV");                
                GetBarCodeUsedWhBinInfoSV objectRef = new GetBarCodeUsedWhBinInfoSV();
				objectRef.BarCodeUsedIDs = barCodeUsedIDs;

				//处理返回类型.
				List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeUsedWhBinDTOData> result = objectRef.Do();
				return result ;

	        }
			catch (System.Exception e)
            {
				DealException(e);
				throw;
            }
            finally
            {
				FinallyInvoke("UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetBarCodeUsedWhBinInfoSV");
            }
        }
	#endregion
    }
}
