﻿



using System; 
using System.Collections;
using System.Collections.Generic ;
using System.Runtime.Serialization;

namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	/// <summary>
	/// 附件信息 DTO :REST自定义的数据传输类型 
	/// 
	/// </summary>
	[DataContract(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
	[Serializable]
	public partial class AttachmentInfoDTOData  
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public AttachmentInfoDTOData()
		{
			initData();
		}
		private void initData()
		{
					ID= 0; 
				
		

			//调用默认值初始化服务进行配置方式初始化
			UFSoft.UBF.Service.DTOService.InitConfigDefault(this);
		}
		[System.Runtime.Serialization.OnDeserializing]
		internal void OnDeserializing(System.Runtime.Serialization.StreamingContext context)
		{
			 initData();
		}
		#region Do SerializeKey -ForDTODataType
		//只为处理集合型EntityKey。原因集合型EntityKey由于使用臫的集合对象，无法实现数据共享.-UBF专用.
		public void DoSerializeKeyList(IDictionary dict)
		{
			if (dict == null ) dict = new Hashtable() ;
			if (dict[this] != null)
				return ;
			dict[this] = this;
	        	        	        
		}
		#endregion 
		/// <summary>
		/// Constructor Full Argument
		/// </summary>
		public AttachmentInfoDTOData(  System.Int64 iD  , System.String fileName  , System.String fileURL  )
		{
			initData();
			this.ID = iD;
			this.FileName = fileName;
			this.FileURL = fileURL;
		}
		#region System Fields 
		//--系统字段,目前没有.EntityData上有相应的字段,用于保存相关的实体状态信息,DTO上没有状态信息.	
		#endregion
		
		#region DTO Properties 
	
		

		/// <summary>
		/// ID
		/// 附件信息.Misc.ID
		/// </summary>
		private System.Int64 m_iD ;
		[DataMember(IsRequired=false)]
		public System.Int64 ID
		{
			get	
			{	
				return m_iD ;
			}
			set	
			{	
				m_iD = value ;	
			}
		}
			
		

		/// <summary>
		/// 文件名
		/// 附件信息.Misc.文件名
		/// </summary>
		private System.String m_fileName ;
		[DataMember(IsRequired=false)]
		public System.String FileName
		{
			get	
			{	
				return m_fileName ;
			}
			set	
			{	
				m_fileName = value ;	
			}
		}
			
		

		/// <summary>
		/// 文件路径
		/// 附件信息.Misc.文件路径
		/// </summary>
		private System.String m_fileURL ;
		[DataMember(IsRequired=false)]
		public System.String FileURL
		{
			get	
			{	
				return m_fileURL ;
			}
			set	
			{	
				m_fileURL = value ;	
			}
		}
			
		#endregion	

		#region Multi_Fields
						
		#endregion 
	} 	
}
