﻿



using System; 
using System.Collections;
using System.Collections.Generic ;
using System.Runtime.Serialization;

namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	/// <summary>
	/// 条码使用档存储地点信息 DTO :REST自定义的数据传输类型 
	/// 
	/// </summary>
	[DataContract(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
	[Serializable]
	public partial class BarCodeUsedWhBinDTOData  
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public BarCodeUsedWhBinDTOData()
		{
			initData();
		}
		private void initData()
		{
					BarCodeUsedID= 0; 
							WhID= 0; 
				
		
					BinID= 0; 
				
		
		
		

			//调用默认值初始化服务进行配置方式初始化
			UFSoft.UBF.Service.DTOService.InitConfigDefault(this);
		}
		[System.Runtime.Serialization.OnDeserializing]
		internal void OnDeserializing(System.Runtime.Serialization.StreamingContext context)
		{
			 initData();
		}
		#region Do SerializeKey -ForDTODataType
		//只为处理集合型EntityKey。原因集合型EntityKey由于使用臫的集合对象，无法实现数据共享.-UBF专用.
		public void DoSerializeKeyList(IDictionary dict)
		{
			if (dict == null ) dict = new Hashtable() ;
			if (dict[this] != null)
				return ;
			dict[this] = this;
	        	        	        	        	        	        	        	        	        
		}
		#endregion 
		/// <summary>
		/// Constructor Full Argument
		/// </summary>
		public BarCodeUsedWhBinDTOData(  System.Int64 barCodeUsedID  , System.Int64 whID  , System.String whCode  , System.String whName  , System.Int64 binID  , System.String binCode  , System.String binName  , System.String binOrgCode  , System.String binBarCode  )
		{
			initData();
			this.BarCodeUsedID = barCodeUsedID;
			this.WhID = whID;
			this.WhCode = whCode;
			this.WhName = whName;
			this.BinID = binID;
			this.BinCode = binCode;
			this.BinName = binName;
			this.BinOrgCode = binOrgCode;
			this.BinBarCode = binBarCode;
		}
		#region System Fields 
		//--系统字段,目前没有.EntityData上有相应的字段,用于保存相关的实体状态信息,DTO上没有状态信息.	
		#endregion
		
		#region DTO Properties 
	
		

		/// <summary>
		/// 条码使用档ID
		/// 条码使用档存储地点信息.Misc.条码使用档ID
		/// </summary>
		private System.Int64 m_barCodeUsedID ;
		[DataMember(IsRequired=false)]
		public System.Int64 BarCodeUsedID
		{
			get	
			{	
				return m_barCodeUsedID ;
			}
			set	
			{	
				m_barCodeUsedID = value ;	
			}
		}
			
		

		/// <summary>
		/// 存储地点ID
		/// 条码使用档存储地点信息.Misc.存储地点ID
		/// </summary>
		private System.Int64 m_whID ;
		[DataMember(IsRequired=false)]
		public System.Int64 WhID
		{
			get	
			{	
				return m_whID ;
			}
			set	
			{	
				m_whID = value ;	
			}
		}
			
		

		/// <summary>
		/// 存储地点编码
		/// 条码使用档存储地点信息.Misc.存储地点编码
		/// </summary>
		private System.String m_whCode ;
		[DataMember(IsRequired=false)]
		public System.String WhCode
		{
			get	
			{	
				return m_whCode ;
			}
			set	
			{	
				m_whCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 存储地点名称
		/// 条码使用档存储地点信息.Misc.存储地点名称
		/// </summary>
		private System.String m_whName ;
		[DataMember(IsRequired=false)]
		public System.String WhName
		{
			get	
			{	
				return m_whName ;
			}
			set	
			{	
				m_whName = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位ID
		/// 条码使用档存储地点信息.Misc.库位ID
		/// </summary>
		private System.Int64 m_binID ;
		[DataMember(IsRequired=false)]
		public System.Int64 BinID
		{
			get	
			{	
				return m_binID ;
			}
			set	
			{	
				m_binID = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位编码
		/// 条码使用档存储地点信息.Misc.库位编码
		/// </summary>
		private System.String m_binCode ;
		[DataMember(IsRequired=false)]
		public System.String BinCode
		{
			get	
			{	
				return m_binCode ;
			}
			set	
			{	
				m_binCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位名称
		/// 条码使用档存储地点信息.Misc.库位名称
		/// </summary>
		private System.String m_binName ;
		[DataMember(IsRequired=false)]
		public System.String BinName
		{
			get	
			{	
				return m_binName ;
			}
			set	
			{	
				m_binName = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位组织编码
		/// 条码使用档存储地点信息.Misc.库位组织编码
		/// </summary>
		private System.String m_binOrgCode ;
		[DataMember(IsRequired=false)]
		public System.String BinOrgCode
		{
			get	
			{	
				return m_binOrgCode ;
			}
			set	
			{	
				m_binOrgCode = value ;	
			}
		}
			
		

		/// <summary>
		/// 库位条码
		/// 条码使用档存储地点信息.Misc.库位条码
		/// </summary>
		private System.String m_binBarCode ;
		[DataMember(IsRequired=false)]
		public System.String BinBarCode
		{
			get	
			{	
				return m_binBarCode ;
			}
			set	
			{	
				m_binBarCode = value ;	
			}
		}
			
		#endregion	

		#region Multi_Fields
																		
		#endregion 
	} 	
}
