﻿



using System; 
using System.Collections;
using System.Collections.Generic ;
using System.Runtime.Serialization;

namespace UFIDA.U9.Cust.Kusi.CJJ.RestApi
{
	/// <summary>
	/// 上传结果 DTO :REST自定义的数据传输类型 
	/// 
	/// </summary>
	[DataContract(Namespace = "UFIDA.U9.Cust.Kusi.CJJ.RestApi")]
	[Serializable]
	public partial class UploadResultDTOData  
	{
		/// <summary>
		/// Default Constructor
		/// </summary>
		public UploadResultDTOData()
		{
			initData();
		}
		private void initData()
		{
					ID= 0; 
				

			//调用默认值初始化服务进行配置方式初始化
			UFSoft.UBF.Service.DTOService.InitConfigDefault(this);
		}
		[System.Runtime.Serialization.OnDeserializing]
		internal void OnDeserializing(System.Runtime.Serialization.StreamingContext context)
		{
			 initData();
		}
		#region Do SerializeKey -ForDTODataType
		//只为处理集合型EntityKey。原因集合型EntityKey由于使用臫的集合对象，无法实现数据共享.-UBF专用.
		public void DoSerializeKeyList(IDictionary dict)
		{
			if (dict == null ) dict = new Hashtable() ;
			if (dict[this] != null)
				return ;
			dict[this] = this;
	        	        			if (this.AttachmentInfos!=null)
			{
				foreach(UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData objdata in this.AttachmentInfos)
				{
					objdata.DoSerializeKeyList(dict);
				}
			}
			
		}
		#endregion 
		/// <summary>
		/// Constructor Full Argument
		/// </summary>
		public UploadResultDTOData(  System.Int64 iD  , List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData> attachmentInfos  )
		{
			initData();
			this.ID = iD;
			this.AttachmentInfos = attachmentInfos;
		}
		#region System Fields 
		//--系统字段,目前没有.EntityData上有相应的字段,用于保存相关的实体状态信息,DTO上没有状态信息.	
		#endregion
		
		#region DTO Properties 
	
		

		/// <summary>
		/// ID
		/// 上传结果.Misc.ID
		/// </summary>
		private System.Int64 m_iD ;
		[DataMember(IsRequired=false)]
		public System.Int64 ID
		{
			get	
			{	
				return m_iD ;
			}
			set	
			{	
				m_iD = value ;	
			}
		}
			
		

		/// <summary>
		/// 附件信息
		/// 上传结果.Misc.附件信息
		/// </summary>
		private List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData> m_attachmentInfos ;
		[DataMember(IsRequired=false)]
		public List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData> AttachmentInfos
		{
			get	
			{	
				if (m_attachmentInfos == null )
				{
					List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData> n_m_list = new List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AttachmentInfoDTOData>() ;
					m_attachmentInfos = n_m_list ;
				}
				return m_attachmentInfos ;
			}
			set	
			{	
				m_attachmentInfos = value ;	
			}
		}
			
		#endregion	

		#region Multi_Fields
				
		#endregion 
	} 	
}
