﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UFSoft.UBF.Business;
using UFSoft.UBF.PL.Engine.Cache;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.ApproveIssueDocSV
{
    public partial class ApproveIssueDocSVPlug:UFSoft.UBF.Service.BPSVExtendBase
    {

        public override void AfterDo(object bp, ref object result)
        {
            //领料验货
            #region 获取相关强类型数据                               

            UFIDA.U9.ISV.ConfirmIssueDocSV.ApproveIssueDocSV strongBP = bp as UFIDA.U9.ISV.ConfirmIssueDocSV.ApproveIssueDocSV;
            if (strongBP == null)
                return;

            PLCacheManager.DataCache.FlushCache();
            PLCacheManager.ObjectCache.FlushCache();
            using (ISession session = Session.Open()) 
            {
                foreach (UFIDA.U9.ISV.ConfirmIssueDocSV.ConfirmIssueDocLineDTOData confirmIssueDocLineDTOData in strongBP.LineDTOs)
                {
                    ClearBinWhNew.Clear(confirmIssueDocLineDTOData.DocLineID, "UFIDA.U9.MO.Issue.IssueDocLine", confirmIssueDocLineDTOData.BarCode);
                }
                session.Commit();
            }
            #endregion

        }

        public override void BeforeDo(object bp)
        {
            #region 获取相关强类型数据                               

            #endregion

        }
    }
}
