﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UFSoft.UBF.Business;
using UFSoft.UBF.PL.Engine.Cache;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.CreateBarCodeUsedSV
{
    public partial class CreateBarCodeUsedSVPulg : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            UFIDA.U9.BC.CalcData.CreateBarCodeUsedSV createBarCodeUsedSV = bp as UFIDA.U9.BC.CalcData.CreateBarCodeUsedSV;
            if (createBarCodeUsedSV == null)
            {
                return;
            }

            PLCacheManager.DataCache.FlushCache();
            PLCacheManager.ObjectCache.FlushCache();
            using (ISession session = Session.Open())
            {
                foreach (var item in createBarCodeUsedSV.CreateBCUsedInParams)
                {
                    if (item.DocLine.EntityType.Equals("UFIDA.U9.InvDoc.TransferForm.TransferFormL")) //形态转换单打印生成时的条码更新库位信息
                    {
                        UFIDA.U9.InvDoc.TransferForm.TransferFormL transferFormL = UFIDA.U9.InvDoc.TransferForm.TransferFormL.Finder.FindByID(item.DocLine.EntityID);
                        if (transferFormL != null)
                        {
                            UpdateBarCodeNew.Update(item.DocLine.EntityID, item.DocLine.EntityType, item.BarCode, transferFormL.BinInfo.Bin.ID, transferFormL.BinInfo.Bin.Code, transferFormL.BinInfo.Bin.Name, transferFormL.Wh.ID, transferFormL.Wh.Code, transferFormL.Wh.Name);
                        }
                    }
                }
                session.Commit();
            }
        }

        public override void BeforeDo(object bp)
        {
            
        }
    }
}
