﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UFSoft.UBF.Business;
using UFSoft.UBF.PL.Engine.Cache;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.CreateMiscShipmentWithPackageSV
{
    public partial class CreateMiscShipmentWithPackageSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            //快速杂发
            #region 获取相关强类型数据                               

            UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateMiscShipmentWithPackageSV strongBP = bp as UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateMiscShipmentWithPackageSV;
            if (strongBP == null)
                return;
            PLCacheManager.DataCache.FlushCache();
            PLCacheManager.ObjectCache.FlushCache();
            using (ISession session = Session.Open())
            {
                foreach (ISV.INV.MiscShipmentLineDTOData miscShipmentLineDTOData in strongBP.LineDTOs)
                {

                    foreach (ISV.INV.binDtoData binDtoData in miscShipmentLineDTOData.BinDtos)
                    {
                        foreach (ISV.INV.barDtoData barDtoData in binDtoData.BarCodes)
                        {
                            UFIDA.U9.BC.BaseData.BarCodeUsed.EntityList barCodeUsedList = UFIDA.U9.BC.BaseData.BarCodeUsed.Finder.FindAll(string.Format("BarCode='{0}'", barDtoData.BarCode));
                            foreach (var barCodeUsed in barCodeUsedList)
                            {
                                if (barCodeUsed.Direct.Value == BC.Common.DirectEnum.Shipment.Value)
                                {
                                    ClearBinWhNew.Clear(barCodeUsed.UseDocLine.EntityID, barCodeUsed.UseDocLine.EntityType, barCodeUsed.BarCode);
                                }
                            }
                        }
                    }
                }
                session.Commit();
            }

            
            #endregion

        }

        public override void BeforeDo(object bp)
        {

        }
    }
}
