﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UFSoft.UBF.Business;
using UFSoft.UBF.PL.Engine.Cache;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.CreateTransferFormWithPackageSV
{
    public partial class CreateTransferFormWithPackageSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            //形态转换
            #region 获取相关强类型数据                               

            UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateTransferFormWithPackageSV strongBP = bp as UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateTransferFormWithPackageSV;
            if (strongBP == null)
                return;
            PLCacheManager.DataCache.FlushCache();
            PLCacheManager.ObjectCache.FlushCache();
            using (ISession session = Session.Open()) 
            {
                foreach (var transferFormDTOData in strongBP.CreateDocDTOs)
                {
                    foreach (var transferFormLineDTOData in transferFormDTOData.TransferFormLine)
                    {
                        foreach (var transferFormSubLineDTOData in transferFormLineDTOData.TransferFormSubLine)
                        {
                            foreach (var barCodeDTOData in transferFormSubLineDTOData.BinDtos.BarCodeDTOs)
                            {

                                UFIDA.U9.BC.BaseData.BarCode barCode = UFIDA.U9.BC.BaseData.BarCode.Finder.Find(string.Format("Code='{0}' order by CreatedOn desc", barCodeDTOData.BarCode));
                                if (barCode != null)
                                {
                                    barCode.SetValue("Cust4Binid", null);
                                    barCode.SetValue("Cust4Bincode", null);
                                    barCode.SetValue("Cust4Binname", null);
                                    barCode.SetValue("Cust4Whid", null);
                                    barCode.SetValue("Cust4Whcode", null);
                                    barCode.SetValue("Cust4Whname", null);
                                }
                            }
                        }
                    }
                }
                session.Commit();
            }


            #endregion
        }

        public override void BeforeDo(object bp)
        {

        }
    }
}
