﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UFSoft.UBF.Business;
using UFSoft.UBF.PL.Engine.Cache;

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug.MiscRcvTransPickConfirmBCSV
{
    public partial class MiscRcvTransPickConfirmBCSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            #region 获取相关强类型数据                               
            //杂收
            UFIDA.U9.ISV.Mobile.INV.MiscRcvTransPickConfirmBCSV strongBP = bp as UFIDA.U9.ISV.Mobile.INV.MiscRcvTransPickConfirmBCSV;
            if (strongBP == null)
                return;
            PLCacheManager.DataCache.FlushCache();
            PLCacheManager.ObjectCache.FlushCache();
            using (ISession session = Session.Open())
            {
                foreach (ISV.Mobile.SM.ShipPickConfirmBCDTOData shipPickConfirmBCDTOData in strongBP.DocInfo)
                {
                    foreach (ISV.Mobile.SM.ShipPickConfirmBCLineDTOData shipPickConfirmBCLineDTOData in shipPickConfirmBCDTOData.DocLines)
                    {
                        foreach (ISV.Mobile.SM.ShipPickConfirmBCBinDTOData shipPickConfirmBCBinDTOData in shipPickConfirmBCLineDTOData.BinLines)
                        {
                            long whid = -1;
                            string whcode = "";
                            string whname = "";
                            long binid = -1;
                            string bincode = "";
                            string binname = "";
                            UFIDA.U9.InvDoc.MiscRcv.MiscRcvTransL miscRcvTransL = UFIDA.U9.InvDoc.MiscRcv.MiscRcvTransL.Finder.FindByID(shipPickConfirmBCLineDTOData.DocLineKey);
                            if (miscRcvTransL != null)
                            {
                                if (miscRcvTransL.Wh!=null)
                                {
                                    whid = miscRcvTransL.Wh.ID;
                                    whcode = miscRcvTransL.Wh.Code;
                                    whname = miscRcvTransL.Wh.Name;
                                }
                                foreach (var miscRcvTransBin in miscRcvTransL.MiscRcvTransBins)
                                {
                                    if (miscRcvTransBin.BinInfo.Bin!=null)
                                    {
                                        binid = miscRcvTransBin.BinInfo.Bin.ID;
                                        bincode = miscRcvTransBin.BinInfo.Bin.Code;
                                        binname = miscRcvTransBin.BinInfo.Bin.Name;
                                    }
                                    UpdateBarCodeNew.Update(miscRcvTransBin.ID, "UFIDA.U9.InvDoc.MiscRcv.MiscRcvTransBin", "", binid, bincode, binname, whid, whcode, whname);
                                }
                            }
                        }
                    }
                }
                session.Commit();
            }
            #endregion
        }

        public override void BeforeDo(object bp)
        {

        }
    }
}
