﻿

namespace UFIDA.U9.Cust.KuSi.zhangky.BPSVPlug
{
    using System;
    using System.Collections.Generic;
    using System.Text;
    using UFSoft.UBF.Business;
    using UFSoft.UBF.PL.Engine.Cache;

    public partial class ShipPickConfirmUpdateBarCodeFirstSVPlug : UFSoft.UBF.Service.BPSVExtendBase
    {
        public override void AfterDo(object bp, ref object result)
        {
            //拣货确认出库
            #region 获取相关强类型数据                               

            UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmUpdateBarCodeFirstSV strongBP = bp as UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmUpdateBarCodeFirstSV;
            if (strongBP == null)
                return;
            PLCacheManager.DataCache.FlushCache();
            PLCacheManager.ObjectCache.FlushCache();
            using (ISession session = Session.Open())
            {
                foreach (UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmBCExtDTOData shipPickConfirmBCExtDTOData in strongBP.DocInfo)
                {
                    foreach (ISV.Mobile.SM.ShipPickConfirmBCLineDTOData shipPickConfirmBCLineDTOData in shipPickConfirmBCExtDTOData.DocLines)
                    {
                        foreach (var shipPickConfirmBCBinDTOData in shipPickConfirmBCLineDTOData.BinLines)
                        {
                            foreach (var barcode in shipPickConfirmBCBinDTOData.ItemBarCodes)
                            {
                                ClearBinWhNew.Clear(shipPickConfirmBCLineDTOData.DocLineKey, "UFIDA.U9.SM.Ship.ShipLine", barcode.ItemBarCode);
                            }
                        }
                    }
                }
                session.Commit();
            }
            
            #endregion
        }

        public override void BeforeDo(object bp)
        {

        }
    }
}
