﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UFSoft.UBF.Business;

namespace UFIDA.U9.Cust.Kusi.CJJ.Plugin.BE.MiscShipmentL
{
    public class UpdateBarCode : UFSoft.UBF.Eventing.IEventSubscriber
    {
        public void Notify(params object[] args)
        {
            #region 从事件参数中取得当前业务实体													 

            if (args == null || args.Length == 0 || !(args[0] is UFSoft.UBF.Business.EntityEvent))
                return;
            BusinessEntity.EntityKey key = ((UFSoft.UBF.Business.EntityEvent)args[0]).EntityKey;
            if (key == null)
                return;
            UFIDA.U9.InvDoc.MiscShip.MiscShipmentL holder = key.GetEntity() as UFIDA.U9.InvDoc.MiscShip.MiscShipmentL;
            if (holder == null)
                return;

            #endregion

            BarCodeUpdater.Update(holder.ID, "UFIDA.U9.InvDoc.MiscShip.MiscShipmentL");
            
        }
    }
}
