DECLARE @StartSN BIGINT

IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'CreateRcvRptDocCostWithPackage'))
BEGIN
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  9, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateRcvRptDocCostWithPackage', 
	  'LineDTOs', 
      'List<UFIDA.U9.ISV.Mobile.MO.RcvRptDocCostDTOData>', 
      'UFIDA.U9.ISV.Mobile.MO.RcvRptDocCostDTOData', 
      0, 
	  1,
      'CreateRcvRptDocCostWithPackage', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 9,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateRcvRptDocCostWithPackage',
		[ParamName] = 'LineDTOs',
		[DtoListName] = 'List<UFIDA.U9.ISV.Mobile.MO.RcvRptDocCostDTOData>',
		[DtoName] = 'UFIDA.U9.ISV.Mobile.MO.RcvRptDocCostDTOData',
		[RestServeType] = 0,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
	WHERE OperatorKey = 'CreateRcvRptDocCostWithPackage'
END

IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'POToRcvBCSVWithPackage'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  0, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.POToRcvBCSVWithPackage', 
	  'SrcDocBarCodes', 
      'List<UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData>', 
      'UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData', 
      0, 
	  1,
      'POToRcvBCSVWithPackage', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 0,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.POToRcvBCSVWithPackage',
		[ParamName] = 'SrcDocBarCodes',
		[DtoListName] = 'List<UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData>',
		[DtoName] = 'UFIDA.U9.ISV.Mobile.PM.POToRcvBCDTOData',
		[RestServeType] = 0,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
	WHERE OperatorKey = 'POToRcvBCSVWithPackage'
END


IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'CreateDocByQuickTransInWithPackage'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  4, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateDocByQuickTransInWithPackage', 
	  'ParamInList', 
      'System.Collections.Generic.List`1[UFIDA.U9.BC.QuickTransIn.CreateDocParamDTOData]', 
      'UFIDA.U9.BC.QuickTransIn.CreateDocParamDTOData', 
      1, 
	  1,
      'CreateDocByQuickTransInWithPackage', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.BC.BCRestSV.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.BC.BCRestSV.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 4,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateDocByQuickTransInWithPackage',
		[ParamName] = 'ParamInList',
		[DtoListName] = 'System.Collections.Generic.List`1[UFIDA.U9.BC.QuickTransIn.CreateDocParamDTOData]',
		[DtoName] = 'UFIDA.U9.BC.QuickTransIn.CreateDocParamDTOData',
		[RestServeType] = 1,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.BC.BCRestSV.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.BC.BCRestSV.Deploy.dll'
	WHERE OperatorKey = 'CreateDocByQuickTransInWithPackage'
END


IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'CreateMiscRcvTransWithPackage'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  0, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateMiscRcvTransWithPackage', 
	  'LineDTOs', 
      'List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData>', 
      'UFIDA.U9.ISV.INV.MiscShipmentLineDTOData', 
      1, 
	  1,
      'CreateMiscRcvTransWithPackage', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 0,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateMiscRcvTransWithPackage',
		[ParamName] = 'LineDTOs',
		[DtoListName] = 'List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData>',
		[DtoName] = 'UFIDA.U9.ISV.INV.MiscShipmentLineDTOData',
		[RestServeType] = 1,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
	WHERE OperatorKey = 'CreateMiscRcvTransWithPackage'
END


IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'CreateMiscShipmentWithPackageSV'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  0, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateMiscShipmentWithPackageSV', 
	  'LineDTOs', 
      'List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData>', 
      'UFIDA.U9.ISV.INV.MiscShipmentLineDTOData', 
      1, 
	  1,
      'CreateMiscShipmentWithPackageSV', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 0,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.CreateMiscShipmentWithPackageSV',
		[ParamName] = 'LineDTOs',
		[DtoListName] = 'List<UFIDA.U9.ISV.INV.MiscShipmentLineDTOData>',
		[DtoName] = 'UFIDA.U9.ISV.INV.MiscShipmentLineDTOData',
		[RestServeType] = 1,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
	WHERE OperatorKey = 'CreateMiscShipmentWithPackageSV'
END

IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'CustUploadFileSV'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  14, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileUploadService', 
	  'FileInfos', 
      'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData>', 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData', 
      0, 
	  1,
      'CustUploadFileSV', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 14,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileUploadService',
		[ParamName] = 'FileInfos',
		[DtoListName] = 'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData>',
		[DtoName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.FileInfoDTOData',
		[RestServeType] = 0,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
	WHERE OperatorKey = 'CustUploadFileSV'
END

IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'GetItemBarCodeDetails'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  14, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetItemBarCodeDetails', 
	  'BarCodeInfo', 
      'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData>', 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData', 
      1, 
	  1,
      'GetItemBarCodeDetails', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 14,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetItemBarCodeDetails',
		[ParamName] = 'BarCodeInfo',
		[DtoListName] = 'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData>',
		[DtoName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.BarCodeDTOData',
		[RestServeType] = 1,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
	WHERE OperatorKey = 'GetItemBarCodeDetails'
END

IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'AnalyzeDocBarCodeSV'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  14, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeSV', 
	  'BarCodes', 
      'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData>', 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData', 
      1, 
	  1,
      'AnalyzeDocBarCodeSV', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 14,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeSV',
		[ParamName] = 'BarCodes',
		[DtoListName] = 'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData>',
		[DtoName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData',
		[RestServeType] = 1,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
	WHERE OperatorKey = 'AnalyzeDocBarCodeSV'
END

IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'DeleteAttachmentSV'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  14, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteAttachmentSV', 
	  'DeleteInfos', 
      'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteInfoDTOData>', 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteInfoDTOData', 
      1, 
	  1,
      'DeleteAttachmentSV', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 14,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteAttachmentSV',
		[ParamName] = 'DeleteInfos',
		[DtoListName] = 'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteInfoDTOData>',
		[DtoName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.DeleteInfoDTOData',
		[RestServeType] = 1,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
	WHERE OperatorKey = 'DeleteAttachmentSV'
END

IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'GetBarCodeExtInfoSV'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  14, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetBarCodeExtInfoSV', 
	  'BarCodes', 
      'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData>', 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData', 
      1, 
	  1,
      'GetBarCodeExtInfoSV', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 14,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.GetBarCodeExtInfoSV',
		[ParamName] = 'BarCodes',
		[DtoListName] = 'List<UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData>',
		[DtoName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.AnalyzeDocBarCodeDTOData',
		[RestServeType] = 1,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.Deploy.dll'
	WHERE OperatorKey = 'GetBarCodeExtInfoSV'
END

IF (NOT EXISTS (SELECT ID FROM BC_CreateDocSVMessageBE WHERE OperatorKey = 'ShipPickConfirmUpdateBarCodeFirstSV'))
BEGIN
	-- DECLARE @StartSN BIGINT;
	EXECUTE AllocSerials 1,@StartSN OUTPUT

	INSERT INTO BC_CreateDocSVMessageBE (
      [ID], 
	  [CreatedOn], 
	  [CreatedBy], 
	  [SysVersion],
      [DocType], 
      [ServeName], 
      [ParamName], 
      [DtoListName], 
      [DtoName],	
      [RestServeType], --0,    1̨
      [IfCustomerDef], --ʶǷͿ 0:׼Ʒ 1:Ϳ
      [OperatorKey], --key, Ψһǰ̨ݵ̨ƥõģPDA˾Ҫ
      [ServerDLLName], --DLLName
      [ServerDLLPath], --DLLPath+DLLName
      [DTODLLName], --DTODLLName
      [DTODLLPath] --DTODLLPath+Name
	)
	VALUES (
      @StartSN, 
	  GETDATE(), 
	  'cust', 
	  1,
	  0, 
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmUpdateBarCodeFirstSV', 
	  'DocInfo', 
      'List<UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData>', 
      'UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData', 
      1, 
	  1,
      'ShipPickConfirmUpdateBarCodeFirstSV', --Key
      'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
      'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
      'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
    )
END ELSE
BEGIN
	UPDATE BC_CreateDocSVMessageBE SET 
		[DocType] = 0,
		[ServeName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.ShipPickConfirmUpdateBarCodeFirstSV',
		[ParamName] = 'DocInfo',
		[DtoListName] = 'List<UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData>',
		[DtoName] = 'UFIDA.U9.ISV.Mobile.SM.ShipPickConfirmBCDTOData',
		[RestServeType] = 1,
		[IfCustomerDef] = 1,
		[ServerDLLName] = 'UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[ServerDLLPath] = 'ApplicationServer\Libs\UFIDA.U9.Cust.Kusi.CJJ.RestApi.dll',
		[DTODLLName] = 'UFIDA.U9.ISV.MobileAppsISV.Deploy.dll',
		[DTODLLPath] = 'ApplicationServer\Libs\UFIDA.U9.ISV.MobileAppsISV.Deploy.dll'
	WHERE OperatorKey = 'ShipPickConfirmUpdateBarCodeFirstSV'
END